<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithEvents;
use Illuminate\Support\Facades\Session;
use App\Models\ReportModel;
use Maatwebsite\Excel\Events\AfterSheet;
use Illuminate\Support\Facades\DB;
use PhpOffice\PhpSpreadsheet\Worksheet\Drawing;

class HoursWiseExport implements FromArray,WithHeadings,ShouldAutoSize,WithEvents
{
    protected $data;
    protected $headings;
    protected $columnWidth = [];
    protected $rowHeight = [];
    protected $mergeCells = [];
    protected $font = [];
    protected $fontSize = [];
    protected $bold = [];
    protected $background = []; 
    protected $vertical = []; 
    protected $sheetName;
    protected $borders = [];

    /**
    * @return \Illuminate\Support\Collection
    */
    public function array(): array
    {
        $aData = array();
        $aData['excel'] = array();
        $aData['Pakage_id'] = session::has('Pakage_id') ? session::get('Pakage_id') : 0;
        $aData['start_date'] = session::has('start_date') ? session::get('start_date') : date('d-m-Y',strtotime('-1 month'));
        $aData['end_date'] = session::has('end_date') ? session::get('end_date') :date('d-m-Y');
        

        $totalHours = ReportModel::getTotalHours($aData);
        foreach($totalHours as $val){
            $hours = ReportModel::secondsToTime($val->hours);
            $aData['totalHours'] = $hours['h'].':'.$hours['m'];
        }

        $aEmployeeData = ReportModel::getHoursData($aData);
        
        foreach($aEmployeeData as $key=>$data){
			$hours = ReportModel::secondsToTime($data->hours);
			$aEmployeeData[$key]->hours = $hours['h'].':'.$hours['m'];
            
            $sql = 'select Pakage_name from admin_pakages where id ='.$data->Pakage_id;
            $rRes = DB::select( DB::raw($sql));	
            $aEmployeeData[$key]->Pakage_name = $rRes[0]->Pakage_name; 
		}

        foreach($aEmployeeData as $key=>$val){
            $aData['excel'][] = array(
                'emp_id' => $val->emp_id,
                'employee' => $val->employee,
                'pakage_name' => $val->Pakage_name,
                'hours' => $val->hours
            );     
        }
        return $aData['excel'];
    }

    public function headings(): array
    {        
        $aData['Pakage_id'] = session::has('Pakage_id') ? session::get('Pakage_id') : 0;
        $aData['start_date'] = session::has('start_date') ? session::get('start_date') : date('d-m-Y',strtotime('-1 month'));
        $aData['end_date'] = session::has('end_date') ? session::get('end_date') :date('d-m-Y');

        $result = DB::table('admin_pakages')
                ->where('id', $aData['Pakage_id'])
                ->get();
        
        foreach($result as $val){
            $pakage_name  = $val->Pakage_name ;
        }

        if(!empty($pakage_name)){
            $division  = $pakage_name;
        }  
        else{
            $division  = '-';
        }

        return [
                ['Report Name: Hours Wise Report.'],
                ['Start Date :'.$aData['start_date']],
                ['End Date :'.$aData['end_date']],
                ['Pakage :'.$division.'' ],
                [],
                [ 
                    'Employee Id',
                    'Employee Name',
                    'Pakage Name',
                    'Working Hours',
                    'Photo'
                ]
            ];
    }

      /**
     * @return string
     */
    public function registerEvents(): array
    {
        return [
            AfterSheet::class => function(AfterSheet $event) {
                $event->sheet->getDelegate()->getStyle('A1:Z1265')->getAlignment()->setHorizontal('left');
                $event->sheet->mergeCells('A1:C1');
                $event->sheet->mergeCells('A2:C2');
                $event->sheet->mergeCells('A3:C3');
                $event->sheet->mergeCells('A4:C4');
                $event->sheet->mergeCells('A5:Z5');

                $event->sheet->getDelegate()->getRowDimension('1')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('2')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('3')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('4')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('6')->setRowHeight(25);

                $event->sheet->getStyle('A1:I6')->applyFromArray([
                    'font'=>[
                            'bold'=>true,
                    ]
                ]);

                //display images
                $workSheet = $event->sheet->getDelegate();
                foreach ($this->getDrawings() as $drawing) {
                    $drawing->setWorksheet($workSheet);
                }
            },
        ];
    }
    
    public function getDrawings():array
    {
        $aData['Pakage_id'] = session::has('Pakage_id') ? session::get('Pakage_id') : 0;
        $aData['start_date'] = Session::has('start_date') ? Session::get('start_date') : date('d-m-Y',strtotime('-1 month'));
        $aData['end_date'] = Session::has('end_date') ? Session::get('end_date') : date('d-m-Y');
        $aEmployeeData = ReportModel::getHoursData($aData);
        // dd($aEmployeeData);
        $rowNum = 7;
        $drawings = [];
        foreach ( $aEmployeeData as $val) {
            $drawing = new Drawing();
            if($val->image_url){
                $drawing->setPath(public_path('/uploads/employee_images/'.$val->image_url));
            }else{
                $drawing->setPath(public_path('app-assets/images/portrait/small/proflie-default.png'));
            }
          
            $drawing->setCoordinates('E'.$rowNum);
            $drawing->setHeight(25);
            $drawing->setWidth(25);
            $drawings[] = $drawing;
            $rowNum++;
        }

        return $drawings;

    }
}

