<?php

namespace App\Exports;

use App\Models\DivisionModel;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithEvents;
use Illuminate\Support\Facades\Session;
use Maatwebsite\Excel\Events\AfterSheet;
use Illuminate\Support\Facades\DB;
use App\Models\VehicleTrakingReportModel;
use App\Models\VehicleModel;

class KhatprakalpaVisitExport implements FromArray,WithHeadings,ShouldAutoSize,WithEvents
{
    protected $data;
    protected $headings;
    protected $columnWidth = [];
    protected $rowHeight = [];
    protected $mergeCells = [];
    protected $font = [];
    protected $fontSize = [];
    protected $bold = [];
    protected $background = []; 
    protected $vertical = []; 
    protected $sheetName;
    protected $borders = [];

    /**
    * @return \Illuminate\Support\Collection
    */
    public function array(): array
    {
        $aData = array();
        $aData['division_id']     = Session::has('division_id') ? Session::get('division_id') : 0;
        $aData['ward_id']         = Session::has('ward_id') ? Session::get('ward_id') : 0;
        $aData['vehicle_id']      = Session::has('vehicle_id') ? Session::get('vehicle_id') : 0;
        $aData['vehicle_type_id'] = Session::has('vehicle_type_id') ? Session::get('vehicle_type_id') : 0;
        $aData['start_date']      = Session::has('start_date') ? Session::get('start_date') : date('d-m-Y',strtotime('-30 days'));
        $aData['end_date']        = Session::has('end_date') ? Session::get('end_date') : date('d-m-Y',strtotime('now'));
    
        $aData['records']      = VehicleTrakingReportModel::get_khatprakalpa_visit($aData);
        // dd( $aData['records'] );
        $total_no_of_visits = 0;

        if( $aData['records']){
            foreach($aData['records'] as $key=>$aValue){ 
                $total_no_of_visits += $aValue->no_of_visits;	
                    $aData['excel'][] = array(
                        'date' => date('d-m-Y',strtotime($aValue->current_day)),
                        'vehicle_name' => $aValue->vehicle_name,
                        'route_name' => $aValue->route_name,
                        'device_number' => $aValue->device_number,
                        'no_of_visits' => $aValue->no_of_visits
                    ); 
            }
            $aData['excel'][] = array(
                'Total' => "Total ",
                '',
                '',
                '',
                'distance_travelled' => $total_no_of_visits
            ); 
        }else{
            $aData['excel'][] = array(
            );     
        }
        // dd($aData['excel']);

        return $aData['excel'];
    }

    public function headings(): array
    {   
        $aData['division_id']     = Session::has('division_id') ? Session::get('division_id') : 0;
        $aData['ward_id']         = Session::has('ward_id') ? Session::get('ward_id') : 0;
        $aData['vehicle_id']      = Session::has('vehicle_id') ? Session::get('vehicle_id') : 0;
        $aData['vehicle_type_id'] = Session::has('vehicle_type_id') ? Session::get('vehicle_type_id') : 0;
        $aData['start_date']      = Session::has('start_date') ? Session::get('start_date') : date('d-m-Y',strtotime('-30 days'));
        $aData['end_date']        = Session::has('end_date') ? Session::get('end_date') : date('d-m-Y',strtotime('now'));
 
        $division_name = "-";
        if($aData['division_id'] != 0){
            $div = DivisionModel::where('id', $aData['division_id'])->get('division_name');
                foreach($div as $val){
                    $division_name = $val->division_name;
                }
        }
        $ward_name = "-";
        if($aData['ward_id'] != 0){
                $ward_id = DB::table('admin_wards')->where('id',  $aData['ward_id'])->get('ward_name'); 
                foreach($ward_id as $val){
                        $ward_name = $val->ward_name;
                }
        }

        $vehicle_number = "-";
        if($aData['vehicle_id'] != 0){
            $vehicle= VehicleModel::where('id', $aData['vehicle_id'])->get('vehicle_number');
            foreach($vehicle as $val){
                    $vehicle_number = $val->vehicle_number;
                }
        }

        $vehicle_types = "-";
        if($aData['vehicle_type_id'] != 0){
                $vehicle = DB::table('vehicle_types')->where('id',  $aData['vehicle_type_id'])->get('type'); 
                foreach($vehicle as $val){
                        $vehicle_types = $val->type;
                }
        }
               
        return [
                ['Report Name: Vehicle Khat-Prakalpa Visit Report.'],
                ['Division Name : '. $division_name ],
                ['Ward Name : '.$ward_name],
                ['Vehicle Number : '.$vehicle_number ],
                ['Vehicle Type : '.$vehicle_types ],
                ['Start Date : '. $aData['start_date']],
                ['End Date : '. $aData['end_date']],
                [],
                [ 
                    'Date ',
                    'Vehicle Number ',
                    'Route Name  ',
                    'GPS Device Number ',                   
                    'No. Of Visits '                  
                ]
        ];
    }

      /**
     * @return string
     */
    public function registerEvents(): array
    {
        return [
            AfterSheet::class => function(AfterSheet $event) {
                $event->sheet->getDelegate()->getStyle('A1:Z1265')->getAlignment()->setHorizontal('left');
                $event->sheet->mergeCells('A1:D1');
                $event->sheet->mergeCells('A2:D2');
                $event->sheet->mergeCells('A3:D3');
                $event->sheet->mergeCells('A4:D4');
                $event->sheet->mergeCells('A5:D5');
                $event->sheet->mergeCells('A6:D6');
                $event->sheet->mergeCells('A7:D7');
                $event->sheet->mergeCells('A8:Z8');

                $aData = array();
                $aData = array();
                $aData['division_id']     = Session::has('division_id') ? Session::get('division_id') : 0;
                $aData['ward_id']         = Session::has('ward_id') ? Session::get('ward_id') : 0;
                $aData['vehicle_id']      = Session::has('vehicle_id') ? Session::get('vehicle_id') : 0;
                $aData['vehicle_type_id'] = Session::has('vehicle_type_id') ? Session::get('vehicle_type_id') : 0;
                $aData['start_date']      = Session::has('start_date') ? Session::get('start_date') : date('d-m-Y',strtotime('-30 days'));
                $aData['end_date']        = Session::has('end_date') ? Session::get('end_date') : date('d-m-Y',strtotime('now'));
            
                $aData['records']      = VehicleTrakingReportModel::get_khatprakalpa_visit($aData);
                 $i = 10;
               
                if( $aData['records']){
                    $data = count($aData['records']);
                    $i += $data;
                    $event->sheet->getStyle('A'.$i.':Z'.$i)->applyFromArray([
                        'font'=>[
                                'bold'=>true,
                        ]
                    ]);
                    $event->sheet->mergeCells('A'.$i.':D'.$i);
                    $event->sheet->getDelegate()->getStyle('A'.$i.':D'.$i)->getAlignment()->setHorizontal('right');
                }

                $event->sheet->getDelegate()->getRowDimension('1')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('2')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('3')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('4')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('5')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('6')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('7')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('9')->setRowHeight(25);
  
                $event->sheet->getStyle('A1:Z9')->applyFromArray([
                    'font'=>[
                            'bold'=>true,
                    ]
                ]);
            },
        ];
    }
  
}

