<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithEvents;
use Illuminate\Support\Facades\Session;
use Maatwebsite\Excel\Events\AfterSheet;
use App\Models\VehicleTrakingReportModel;

class VehicleWisePresentAbsentExport implements FromArray,WithHeadings,ShouldAutoSize,WithEvents
{
    protected $data;
    protected $headings;
    protected $columnWidth = [];
    protected $rowHeight = [];
    protected $mergeCells = [];
    protected $font = [];
    protected $fontSize = [];
    protected $bold = [];
    protected $background = []; 
    protected $vertical = []; 
    protected $sheetName;
    protected $borders = [];

    /**cc
    * @return \Illuminate\Support\Collection
    */
    public function array(): array
    {
        $aData = array();
        $aData['date']      = Session::has('date') ? Session::get('date') : date('d-m-Y',strtotime('now'));
		$aData['records'] = VehicleTrakingReportModel::get_vehtype_present_absent($aData);
        // dd($aData['records']);
        $aTypes = array(
			1=>'Household_big',
			2=>'Commercial',
			3=>'Hotel',
			4=>'Garden',
			5=>'Debris',
			6=>'Household_small',
			8=>'Litter'
		);
        if(!empty($aData['records']['division_wise_data'])){
			$aFormated_data = array();
			foreach($aData['records']['division_wise_data'] as $key=>$aRes){
				foreach($aTypes as $type){
					if(!array_key_exists($type,$aRes['types'])){
						$aRes['types'][$type]['total'] = 0;
						$aRes['types'][$type]['present'] = 0;
						$aRes['types'][$type]['absent'] = 0;
					};
				}
				$aFormated_data[$key] = $aRes;
			}
              
			$aData['records']['division_wise_data'] = $aFormated_data;
		}else{
            $aData['records']['division_wise_data'] = array();
        }
        $total_housebig_present   = 0;
        $total_housebig_absent    = 0;
        $total_housesmall_present = 0;
        $total_housesmall_absent  = 0;
        $total_commertial_present = 0;
        $total_commertial_absent  = 0;
        $total_hotel_present      = 0;
        $total_hotel_absent       = 0;
        $total_garden_present     = 0;
        $total_garden_absent      = 0;
        $total_debris_present     = 0;
        $total_debris_absent      = 0;
        $total_litter_present     = 0;
        $total_litter_absent      = 0;
        $all_type_total_present   = 0; 
        $all_type_total_absent    = 0;
        $grand_total_present      = 0;
        $grand_total_absent       = 0;

        if($aData['records']['division_wise_data']){
            foreach($aData['records']['division_wise_data'] as $key=>$aValue){ 
                $household_big_present = $aValue['types']['Household_big']['present'];
                $household_big_absent = $aValue['types']['Household_big']['absent'];
                $household_small_present = $aValue['types']['Household_small']['present'];
                $household_small_absent = $aValue['types']['Household_small']['absent'];
                $commercial_present   = $aValue['types']['Commercial']['present'];
                $commercial_absent    = $aValue['types']['Commercial']['absent'];
                $hotel_present        = $aValue['types']['Hotel']['present'];
                $hotel_absent         = $aValue['types']['Hotel']['absent'];
                $garden_present       = $aValue['types']['Garden']['present'];
                $garden_absent        = $aValue['types']['Garden']['absent'];
                $debris_present       = $aValue['types']['Debris']['present'];
                $debris_absent        = $aValue['types']['Debris']['absent'];
                $litter_present       = $aValue['types']['Litter']['present'];
                $litter_absent        = $aValue['types']['Litter']['absent'];

                //-------------------------------

                $all_type_total_present = $household_big_present + $household_small_present + $commercial_present + $hotel_present + $garden_present + $debris_present + $litter_present; 

                $grand_total_present += $all_type_total_present;

                $all_type_total_absent = $household_big_absent + $household_small_absent + $commercial_absent + $hotel_absent + $garden_absent + $debris_absent + $litter_absent;

                $grand_total_absent += $all_type_total_absent;

                //------------------------------
                $total_housebig_present   += $household_big_present;
                $total_housebig_absent    += $household_big_absent; 
                $total_housesmall_present += $household_small_present; 
                $total_housesmall_absent  += $household_small_absent; 
                $total_commertial_present += $commercial_present;
                $total_commertial_absent  += $commercial_absent; 
                $total_hotel_present      += $hotel_present;
                $total_hotel_absent       += $hotel_absent;
                $total_garden_present     += $garden_present;
                $total_garden_absent      += $garden_absent;
                $total_debris_present     += $debris_present;
                $total_debris_absent      += $debris_absent;
                $total_litter_present     += $litter_present;
                $total_litter_absent      += $litter_absent;
                
                $aData['excel'][] = array(
                    'division_name' => $aValue['division_name'],
                    'Household_big_present' => $household_big_present ? $household_big_present : "0",
                    'Household_big_absent' =>$household_big_absent ? $household_big_absent : "0",
                    'Household_small_present' => $household_small_present ? $household_small_present : "0",
                    'Household_small_absent' => $household_small_absent ? $household_small_absent : "0" ,
                    'Commercial_present' =>$commercial_present ? $commercial_present : "0" ,
                    'Commercial_absent' => $commercial_absent ? $commercial_absent : "0",
                    'Hotel_present' => $hotel_present ? $hotel_present : "0",
                    'Hotel_absent' => $hotel_absent ? $hotel_absent : "0",
                    'Garden_present' => $garden_present ? $garden_present : "0",
                    'Garden_absent' => $garden_absent ? $garden_absent : "0",
                    'Debris_present' => $debris_present ? $debris_present : "0", 
                    'Debris_absent' => $debris_absent ? $debris_absent : "0",
                    'litter_present' => $litter_present ? $litter_present : "0",
                    'litter_absent' => $litter_absent ? $litter_absent : "0",
                    'all_type_total_present' => $all_type_total_present ?  $all_type_total_present : "0",           
                    'all_type_total_absent' =>  $all_type_total_absent ? $all_type_total_absent : "0"
                ); 
            }
            $aData['excel'][] = array(
                'Total' =>  'Total',
                'total_housebig_present' => $total_housebig_present ? $total_housebig_present : "0",
                'total_housebig_absent' => $total_housebig_absent ? $total_housebig_absent : "0",
                'total_housesmall_present' => $total_housesmall_present ?  $total_housesmall_present : "0",
                'total_housesmall_absent' => $total_housesmall_absent ? $total_housesmall_absent : "0",
                'total_commertial_present' => $total_commertial_present ? $total_commertial_present : "0",
                'total_commertial_absent' => $total_commertial_absent ?  $total_commertial_absent : "0",
                'total_hotel_present' => $total_hotel_present ? $total_hotel_present : "0",
                'total_hotel_absent' => $total_hotel_absent ? $total_hotel_absent : "0",
                'total_garden_present' => $total_garden_present ? $total_garden_present : "0",
                'total_garden_absent' => $total_garden_absent ? $total_garden_absent : "0",
                'total_debris_present' => $total_debris_present ? $total_debris_present : "0",
                'total_debris_absent' => $total_debris_absent ? $total_debris_absent : "0",
                'total_litter_present' => $total_litter_present ? $total_litter_present : "0" ,
                'total_litter_absent' => $total_litter_absent ? $total_litter_absent : "0" ,
                'grand_total_present' => $grand_total_present ? $grand_total_present : "0" ,
                'grand_total_absent' => $grand_total_absent ? $grand_total_absent  : "0"
            ); 

        }else{
            $aData['excel'][] = array(
            );     
        }
        return $aData['excel'];
    }

    public function headings(): array
    {   
        $aData['date']      = Session::has('date') ? Session::get('date') : date('d-m-Y',strtotime('now'));
        return [
                ['Report Name: Vehicle Type-wise Present and Absent Vehicle Report .'],
                ['Date : '.$aData['date'] ],
                [],
                [ 
                   'Types ',
                   'Household Big',
                   '',
                   'Household Small' ,
                   '',
                   'Commercial ' ,
                   '',
                   'Hotel ' ,
                   '',
                   'Garden ' ,
                   '',
                   'Debris ' ,
                   '',
                   'Litter ' ,
                   '',
                   'Total ' ,
                   ''
                ],
                [ 
                    'Division ',
                    'Present',
                    'Absent',
                    'Present',
                    'Absent',
                    'Present',
                    'Absent',
                    'Present',
                    'Absent',
                    'Present',
                    'Absent',
                    'Present',
                    'Absent',
                    'Present',
                    'Absent',
                    'Total Present',
                    'Total Absent',
                ]
        ];
    }

      /**
     * @return string
     */
    public function registerEvents(): array
    {
        return [
            AfterSheet::class => function(AfterSheet $event) {
                $event->sheet->getDelegate()->getStyle('A1:Z1265')->getAlignment()->setHorizontal('left');
                $event->sheet->getDelegate()->getStyle('A4:Z4')->getAlignment()->setHorizontal('center');
                $event->sheet->getDelegate()->getStyle('A4:Z4')->getAlignment()->setVertical('center');
                $event->sheet->getDelegate()->getStyle('A5:Z5')->getAlignment()->setVertical('center');
                $event->sheet->getDelegate()->getStyle('B1:Z1265')->getAlignment()->setHorizontal('center');


                $event->sheet->mergeCells('A1:F1');
                $event->sheet->mergeCells('A2:F2');
                $event->sheet->mergeCells('A3:Z3');

                $event->sheet->mergeCells('B4:C4');
                $event->sheet->mergeCells('D4:E4');
                $event->sheet->mergeCells('F4:G4');
                $event->sheet->mergeCells('H4:I4');
                $event->sheet->mergeCells('J4:K4');
                $event->sheet->mergeCells('L4:M4');
                $event->sheet->mergeCells('N4:O4');
                $event->sheet->mergeCells('P4:Q4');

                $event->sheet->getDelegate()->getRowDimension('1')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('2')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('4')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('5')->setRowHeight(25);
                $event->sheet->getStyle('A1:Z5')->applyFromArray([
                    'font'=>[
                            'bold'=>true,
                    ]
                ]);
                $aData = array();
                $aData['date']      = Session::has('date') ? Session::get('date') : date('d-m-Y',strtotime('now'));
                $aData['records'] = VehicleTrakingReportModel::get_vehtype_present_absent($aData);
                $i = 6;
                foreach( $aData['records'] as $val){
                    $row = count($val)+6;
                    $event->sheet->getStyle('A'.$row.':Z'.$row)->applyFromArray([
                        'font'=>[
                                'bold'=>true,
                        ]
                    ]);
                    $event->sheet->getStyle('P'.$i.':Q'.$row)->applyFromArray([
                        'font'=>[
                                'bold'=>true,
                        ]
                    ]);
                    $event->sheet->getDelegate()->getStyle('A'.$row.':A'.$row)->getAlignment()->setHorizontal('right');
                }
            },
        ];
    } 
}

