<?php

namespace App\Exports;

use App\Models\DivisionModel;
use Maatwebsite\Excel\Concerns\FromArray;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithEvents;
use Illuminate\Support\Facades\Session;
use Maatwebsite\Excel\Events\AfterSheet;
use Illuminate\Support\Facades\DB;
use App\Models\VehicleTrakingReportModel;
use App\Models\VehicleModel;

class VehicleWiseWeightExport implements FromArray,WithHeadings,ShouldAutoSize,WithEvents
{
    protected $data;
    protected $headings;
    protected $columnWidth = [];
    protected $rowHeight = [];
    protected $mergeCells = [];
    protected $font = [];
    protected $fontSize = [];
    protected $bold = [];
    protected $background = []; 
    protected $vertical = []; 
    protected $sheetName;
    protected $borders = [];

    /**
    * @return \Illuminate\Support\Collection
    */
    public function array(): array
    {
        $aData = array();
        $aData['vehicle_id']      = session::has('vehicle_id') ? session::get('vehicle_id') : 0;
        $aData['start_date']      = session::has('start_date') ? session::get('start_date') : date('d-m-Y',strtotime('now'));
        $aData['end_date']        = session::has('end_date') ? session::get('end_date') : date('d-m-Y',strtotime('now'));
        $aData['vehicleWeightData'] = array();
        if(!empty($aData['vehicle_id'])){
			$aData['vehicleWeightData'] = VehicleTrakingReportModel::get_vehicle_wise_weight_mngmt($aData);
    	} 
        if($aData['vehicleWeightData']){
            foreach($aData['vehicleWeightData'] as $reckey => $aRec){
                $visit_count = 0;
                
                foreach ($aRec['visits'] as $aVisit) {
                    $aData['excel'][] = array(
                        'date' =>  date('d-m-Y', strtotime($reckey)),
                        'loaded_weight' => $aVisit->loaded_weight,
                        'unloaded_weight' => $aVisit->unloaded_weight,
                        'net_weight' => $aVisit->net_weight
                    ); 
                    $visit_count += 1;
                }
            } 
        }else{
            $aData['excel'][] = array(
            ); 
        } 
        
        return $aData['excel'];
    }

    public function headings(): array
    {   
        $aData['vehicle_id']      = session::has('vehicle_id') ? session::get('vehicle_id') : 0;
        $aData['start_date']      = session::has('start_date') ? session::get('start_date') : date('d-m-Y',strtotime('now'));
        $aData['end_date']        = session::has('end_date') ? session::get('end_date') : date('d-m-Y',strtotime('now'));

        $vehicle_number = "-";
        if($aData['vehicle_id'] != 0){
            $vehicle= VehicleModel::where('id', $aData['vehicle_id'])->get('vehicle_number');
            foreach($vehicle as $val){
                    $vehicle_number = $val->vehicle_number;
                }
        }
        // dd( $aData['end_date'] );
               
        return [
                ['Report Name : Single Vehicle Wise Weight Report.'],
                ['Vehicle Number : '. $vehicle_number ],
                ['Start Date : '.$aData['start_date'] ],
                ['End Date : '.$aData['end_date'] ],
                [],
                [ 
                    'Date ',
                    'Loaded Weight ',
                    'Unloaded Weight ',
                    'Net Weight '                   
                ]
        ];
    }

      /**
     * @return string
     */
    public function registerEvents(): array
    {
        return [
            AfterSheet::class => function(AfterSheet $event) {
                $event->sheet->getDelegate()->getStyle('A1:Z1265')->getAlignment()->setHorizontal('left');

                $event->sheet->mergeCells('A1:D1');
                $event->sheet->mergeCells('A2:D2');
                $event->sheet->mergeCells('A3:D3');
                $event->sheet->mergeCells('A4:D4');
                $event->sheet->mergeCells('A5:Z5');
                // $event->sheet->mergeCells('A6:D6');

                $event->sheet->getDelegate()->getRowDimension('1')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('2')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('3')->setRowHeight(25);
                $event->sheet->getDelegate()->getRowDimension('4')->setRowHeight(25);
                // $event->sheet->getDelegate()->getRowDimension('6')->setRowHeight(25);

                $event->sheet->getStyle('A1:Z6')->applyFromArray([
                    'font'=>[
                            'bold'=>true,
                    ]
                ]);
            },
        ];
    }
  
}

