<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\FindRouteModel;
use App\Models\VehicleModel;
use App\Libraries\Mysecurity;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;

class FindRouteController extends Controller
{
    public function __construct()
    {   
        $module_link = request()->segments(0);
        if(isset($module_link[0])){
            $module_link = $module_link[0];
            $this->mysecurity = new Mysecurity();
            $this->module_id = $this->mysecurity->get_module_id_by_name($module_link);
            $this->middleware(function ($request, $next){
                $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
        
                return $next($request);
            });
        }
    }

    public function index(Request $request)
    {   
        $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
        
        require_once("geometrylibrary/MathUtil.php");
		require_once("geometrylibrary/PolyUtil.php");
		require_once("geometrylibrary/SphericalUtil.php");

        $aData = array();
		$aData['latlng'] ='';
		$aData['result'] ='';

        if($request->form_type=='search_form'){ 
         //dd($request);
            $aData['lat'] = $request->latitude;
			$aData['lng'] = $request->longitude;

            $currentLocationPoints = array(
                                            'lat' => $request->latitude, 
                                            'lng' => $request->longitude
                                          ); 
            
            $aData['result'] = FindRouteModel::getRoutes(); 

            if(empty($aData['result'])){
				echo 0; 
			}else{
                $aRoute = array();
				foreach($aData['result'] as $key=>$value){
                        //echo '<pre>';
                        //echo '<br>key:'.$key;
                        if($key == 8){
                        //    print_r($currentLocationPoints);
                        //    print_r($value);
                        }
                        $response =  \GeometryLibrary\PolyUtil::containsLocation($currentLocationPoints,$value);
                        //echo 'resp'.$response;
                        if($response){
                        //die('here');
                            $vehicle_number = FindRouteModel::vehicle_number($key);
                            $aRoute[$vehicle_number] = $value;
                            //dd($aRoute);
                        }
                    }
			$aData['routes'] = $aRoute;
            }
        }
       // dd($aData);
        return view('find_route.routes', $aData);
    }
  
}
