<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\RouteDeviationModel;
use App\Models\VehicleModel;
use App\Libraries\Mysecurity;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;

class RouteDeviationController extends Controller
{
    public function __construct()
    {   
        $module_link = request()->segments(0);
        if(isset($module_link[0])){
            $module_link = $module_link[0];
            $this->mysecurity = new Mysecurity();
            $this->module_id = $this->mysecurity->get_module_id_by_name($module_link);
            $this->middleware(function ($request, $next){
                $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
        
                return $next($request);
            });
        }
    }

    public function clear_search(){
        session::forget('date');
        session::forget('vehicle_id');
        return redirect()->route('route_deviation.index',[0,0]);
    }


    public function index(Request $request, $vehicle_id = 0, $date = 0)
    {   
        //dd($vehicle_id);
        $this->mysecurity->check_access(Session::get('logged_in')['id'],$this->module_id,1);
        $date = (!empty($date)) ? $date : date('d-m-Y',strtotime('now'));
        if(!empty($vehicle_id)){
            session::put(['vehicle_id'  => $vehicle_id]);
			session::put(['date'        => $date]);
            return redirect()->route('route_deviation.index',[0,0]);
		}

        $aData = array();
        $aData['search'] = '';
        $aData['search'] = 0;
		$aData['route_flag'] = 0;
        $aData['aRoutes'] = array();
        $aData['route_id'] = 0;
        $aData['vehicle_master_id'] = 0;		
		$aData['show_default'] = '';	
		$aData['show_stoppages'] = '';
        $aData['show_route_deviation'] = '';
		$aData['show_default_stoppages'] = '';
        
        if($request->form_type1=='show_default_route'){
          
			$show_default           = $request->show_default;
			$show_stoppages         = $request->show_stoppages;
            $show_route_deviation   = $request->show_route_deviation;
			// $show_default_stoppages = $request->show_default_stoppages;

			if(!empty($show_default)){
				$aData['show_default'] = 'checked';			
			}
			if(!empty($show_stoppages)){
				$aData['show_stoppages'] = 'checked';	
			}
			if(!empty($show_route_deviation)){
				$aData['show_route_deviation'] = 'checked';	
			}
		}

        if($request->form_type=='search_form'){ 
          //  dd($request);
           session::put(['vehicle_id'  => $request->vehicle_id]);
           session::put(['date'        => $request->date]);
        }
    
        $aData['vehicle_id'] = session::has('vehicle_id') ? session::get('vehicle_id') : $vehicle_id;
        $aData['date']       = session::has('date') ? session::get('date') : $date;

        // dd($aData['date']);
       
        if(!empty($aData['date']) && $aData['vehicle_id']){
			$post = array(
				'vehicle_id' => $aData['vehicle_id'],
				'date' =>$aData['date'],
				'show_default' => $aData['show_default'],
			);
		
			$aData['aRoutes'] = RouteDeviationModel::get_routes($post);
        
            // $aData['route_id'] = $aData['vehicle_id'];
            foreach($aData['aRoutes'] as $aRoute){
				if(!empty($aRoute['actual_route'])){
					$aData['route_flag'] = 1;
                }
            }
		}
       
		$route_flag = 0;
        $aData['vehicle']   = VehicleModel::get_vehicle()->orderBy('vehicle_number', 'ASC')->get();
        return view('route_deviation.routes_new', $aData);
    }
  
}
