<?php
/*
namespace App\Imports;

use App\Models\User;
use Illuminate\Support\Facades\Hash;
use Maatwebsite\Excel\Concerns\ToModel;

class RoutedetailsImport implements ToModel
{
    public function  __construct($iRouteId)
    {
        $this->iRouteId= $iRouteId;
    }
    public function model(array $row)
    {
        //echo '<pre>';print_r($row);die;
        foreach($row as $data){
            echo '<pre>';print_r($data);
        }
        return new Routedetails([
            'route_id'     => $iRouteId,
            'latitude'     => $row[0],
            'longitude'    => $row[1]
        ]);
    }
}
*/
namespace App\Imports;

use App\User;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Redirect;


class RoutedetailsImport implements ToCollection
{
    public function  __construct($iRouteId)
    {
        $this->iRouteId= $iRouteId;
    }
    public function collection(Collection $rows)
    {
       
        DB::delete('DELETE FROM route_details WHERE route_id=?',[$this->iRouteId]);
        $sql = 'INSERT INTO route_details (route_id,latitude,longitude) VALUES';

        foreach ($rows as $row) 
        {  
            if(!empty($row[1]) && !empty($row[2])){
               
                $first_col  = str_replace( ' ', '', $row[1] );
                $second_col = str_replace( ' ', '', $row[2] );
                //print_r($row[1]);
                $sql .= '('.$this->iRouteId.','.$first_col.','.$second_col.'),';
            }
        }
         
        $insert_sql = substr(trim($sql), 0, -1); 
        DB::insert($insert_sql);
         // echo $sql.'<br>'; die;

        //--------- delete previous points ----------------
        DB::table('route_details_deviation')->where('route_id', $this->iRouteId)->delete();

        //----- insert route from route_details_deviation in route_details
        $sql_query = 'INSERT INTO route_details_deviation SELECT * FROM route_details where route_id = '.$this->iRouteId;
        DB::insert($sql_query);

        //----- daily_route_details table from cover_points is 0 for using particular route id
        $current_day = date('Ymd');
        $update_query = 'update daily_route_details set cover_points = 0 where route_id = '.$this->iRouteId.' and current_day = '.$current_day.' ';
        DB::update($update_query);
    }
}