<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\DB;


class Employee extends Model
{
    use HasFactory;
    protected $table = 'biometric_users';

    protected $fillable = [
        'Pakage_id',
        'emp_id',
        'firstname',
        'middlename',
        'lastname',
        'gender',
        'designation',
        'address',
        'cl',
        'pl',
        'sl',
    ];

    public $timestamps = false;

    public static function get($aSearch){

        $query = Employee::from('biometric_users as bu')
                                ->leftJoin('admin_pakages as ad','bu.Pakage_id', '=','ad.id')
                                ->leftjoin('biometric_image as bi','bu.id','bi.user_id')
                                ->select('bu.*','ad.Pakage_name', 'bi.image_url');
                                
                                if(!empty($aSearch['Pakage_id'])){
                                    $query->where('ad.id',$aSearch['Pakage_id']);
                                }
                                if(!empty($aSearch['employee_name'])){
                                    $query->where(DB::raw("CONCAT(bu.firstname,' ',bu.middlename,' ', bu.lastname)"), 'LIKE', '%' .$aSearch['employee_name']. '%');
                                    // $query->Where('bu.firstname', 'LIKE', '%'.$aSearch['employee_name'].'%')
                                    //         ->orWhere('bu.middlename', 'LIKE', '%'.$aSearch['employee_name'].'%')
                                    //         ->orWhere('bu.lastname', 'LIKE', '%'.$aSearch['employee_name'].'%');
                                }  
                                // dd( $aSearch['emp_id']);
                                if(!empty($aSearch['emp_id'])){
                                    $query->where('bu.emp_id', 'LIKE', '%' . $aSearch['emp_id'] . '%');
                                }
                                if(!empty($aSearch['is_active'])){
                                    $query->where('bu.is_active',$aSearch['is_active']);
                                }
                                if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
                                    $session_div = Session::get('Pakages'); 
                                    if(!empty($session_div)){
                                        $query->whereIn('bu.Pakage_id',$session_div);    
                                    }else {
                                        $query->whereRaw('1=2');
                                    }
                                }     
        return $query;
    }

    public static function get_attendance_log($date, $id, $att_id){
        $aData = array();
        $aData['aDate'] = $date;
       
        $aData['Emp_Details'] = DB::table('biometric_users')->where('id', $att_id)->first();
      
        
        $aData['aLogIn'] = DB::table('user_attendance_history as uah')
                                    ->select('uah.*','ua.attendance_date','ua.inward_datetime', 'ua.success')
                                    ->leftJoin('users_attendance as ua','ua.inward_success_id', '=','uah.id')
                                    ->where('ua.id', $id )
                                    ->get()->first();

        $aData['aLogOut'] = DB::table('user_attendance_history as uah')
                                    ->select('uah.*','ua.attendance_date','ua.outword_datetime','ua.success')
                                    ->leftJoin('users_attendance as ua','ua.outword_success_id', '=','uah.id')
                                    ->where('ua.id', $id )
                                    ->get()->first(); 
        // dd($request->date);
        $aData['aAttendanceLog']  = DB::table('user_attendance_history as uat')
                                            ->where('uat.emp_id', $att_id)
                                            ->where('uat.attendance_date', $date)
                                            ->orderBy('id', 'DESC')
                                            ->get();
        return $aData;
            
    }


}
