<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class RouteDeviationModel extends Model
{
    use HasFactory;
    
    public $timestamps = false;

    public static function get_routes($post){
        $aRoutes = array();
	    $deviation_array = array();
        $aColors = config('custom.routeColors');
        $iColOffset = 0;
      
        if(!empty($post['date'])){
            $today = date('Ymd', strtotime($post['date']));	
        }else{
            $today = date('Ymd',strtotime('now'));		
        }
        
        //dd($today);
        $sSQL = 'SELECT route_id,\'\' as route_name FROM daily_route_details WHERE current_day = '.$today;
		if(!empty($post['vehicle_id']))
		$sSQL .= ' AND vehicle_number = '.$post['vehicle_id'];
		$sSQL .= ' GROUP BY route_id';

        $rResult = DB::select( DB::raw($sSQL), array());
        //dd($rResult);

        //echo '<pre>';print_r($rResult);die();

		
        $deviationModel = new RouteDeviationModel();
        foreach($rResult as $aRoute){
        	$aRoutes[$aRoute->route_id]['route_name'] = $aRoute->route_name;
			$aRoutes[$aRoute->route_id]['vahicle_number'] = $post['vehicle_id'];
            
            $sSQL = 'SELECT drd.vehicle_number,drd.pockets,rm.id as route_id,rm.route_name,(SELECT vehicle_number FROM vehicle_master WHERE id = drd.vehicle_number) as vehicle_number_to_show,(SELECT Pakage_name FROM admin_pakages WHERE id = rm.Pakage_id) as Pakage_name,(SELECT ward_name FROM admin_wards WHERE id = rm.ward_id) as ward_name FROM daily_route_details drd right join route_master rm on rm.id=drd.route_id WHERE current_day = '.$today. ' and route_id ='.$aRoute->route_id;

           

            $rRes = DB::select( DB::raw($sSQL));

            //echo '<pre>';print_r($rRes);



            $vehicle_details_folder = base_path('public/vehicle_details/');
			   //dd($vehicle_details_folder);
			   $actual_route = array();
			   $file = $vehicle_details_folder.$today.'/'.$post['vehicle_id'].'.json';
			   //dd($file);
			   if(file_exists($file)){
				   $handle = fopen($file, "r");
				   $actual_route = fgets($handle);
				   fclose($handle);
				   $actual_route = trim($actual_route);
				   $firstchar = substr($actual_route,0,1);
				   if($firstchar != '['){
					   $actual_route = '['.$actual_route.']';
				   }
				   $actual_route = json_decode($actual_route);
				   usort($actual_route, function($a, $b)
				   {
					   return strcmp($a->record_timestamp, $b->record_timestamp);
				   });
				}

	            if(!empty($actual_route)){
					foreach($actual_route as $a_temp){
					   $a_temp->lat = (double)$a_temp->latitude;
					   $a_temp->lng = (double)$a_temp->longitude;
				   }
				}

				$aRoutes[$aRoute->route_id]['actual_route']['routes'][$post['vehicle_id']]['route'] = $actual_route;

            foreach($rRes as $aRow){
               //------ Acual route in (vehicle details folder)
			   
				   if(!empty($actual_route)){
					   
					   $aRoutes[$aRow->route_id]['actual_route']['routes'][$aRow->vehicle_number]['Pakage'] = $aRow->Pakage_name;
			   
					   $aRoutes[$aRow->route_id]['actual_route']['routes'][$aRow->vehicle_number]['ward'] = $aRow->ward_name;
					   
					   $aRoutes[$aRow->route_id]['actual_route']['routes'][$aRow->vehicle_number]['color'] = $aColors[$iColOffset];
					   $aRoutes[$aRow->route_id]['actual_route']['routes'][$aRow->vehicle_number]['vehicle'] = $aRow->vehicle_number_to_show;
					   $aRoutes[$aRow->route_id]['actual_route']['routes'][$aRow->vehicle_number]['vehicle_master_id'] = $aRow->vehicle_number;

					   $max_color_count = config('custom.max_color_count');
					 
					   if($iColOffset< $max_color_count)
						   $iColOffset++;			
					   else
						 $iColOffset = 0; 

					   $aRoutes[$aRow->route_id]['actual_route']['route_name'] = $aRow->route_name;
					   $aRoutes[$aRow->route_id]['actual_route']['route_id'] = $aRow->route_id;
					   $aRoutes[$aRow->route_id]['actual_route']['vehicle_number_to_show'] = $aRow->vehicle_number_to_show;
					   $aRoutes[$aRow->route_id]['actual_route']['pockets']= $aRow->pockets;
				   }
            }
        }

        //echo '<pre>';print_r($aRoutes);die();
        return $aRoutes;
	}

	public static function get_checkpoint_arrival($post){
      
		$sSQL = 'SELECT actual_reach_time,pass FROM checkpoint_arrival ca WHERE ca.checkpoint = '.$post['i_no']. ' AND ca.polygon_id ='.$post['polygon_id'].' AND ca.date ='.date('Ymd',strtotime($post['date'])).' ORDER BY checkpoint DESC';
         $rRes = DB::select( DB::raw($sSQL));

          return $rRes;
	}
}

?>