<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
// use Session;

class VehicleModel extends Model
{
    use HasFactory;

    protected $table = 'vehicle_master';

    protected $fillable = [
        'vehicle_number',
        'device_number',
        'sim_number',
        'Pakage_id',
        'rfid_number',
        'description',
        // 'tank_size',
        // 'max_voltage'
        
    ];
    
    public $timestamps = false;
    
    public static function get($aSearch){
       
        $query = DB::table('vehicle_master as vm')
                    ->leftjoin('admin_pakages as ad','vm.Pakage_id','ad.id')
                    ->select('vm.*','ad.Pakage_name');
                    if($aSearch['Pakage_id'] > 0){
                        $query->where('vm.Pakage_id',$aSearch['Pakage_id']);
                    }
                    if($aSearch['vehicle_number'] > 0){
                        $query->where('vm.id',$aSearch['vehicle_number']);
                    } 
                    
                    if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
                        $session_div = Session::get('Pakages'); 
                        if(!empty($session_div)){
                            $query->whereIn('vm.Pakage_id',$session_div);    
                        }else {
                            $query->whereRaw('1=2');   
                        }
                    }
                
        return $query;
    }

    public static function get_Pakages(){
       
        $query = DB::table('admin_pakages')->select('*');           
        if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
            $session_div = Session::get('Pakages'); 
            if(!empty($session_div)){
                $query->whereIn('id',$session_div);    
            }else {
                $query->whereRaw('1=2');  
            }
        }       
        return $query;
    }

    public static function get_vehicle(){
       
        $query = DB::table('vehicle_master')->select('*');           
        if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
            $session_div = Session::get('Pakages'); 
            if(!empty($session_div)){
                $query->whereIn('Pakage_id',$session_div);    
            }else {
                $query->whereRaw('1=2');    
            }
        }       
        return $query;
    }

    public static function get_wards(){
       
        $query = DB::table('admin_wards')->select('*');           
        if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
            $session_div = Session::get('Pakages'); 
            if(!empty($session_div)){
                $query->whereIn('Pakage_id',$session_div);    
            }else {
                $query->whereRaw('1=2');  
            }
        }       
        return $query;
    }

    public static function get_routes(){
        $query = DB::table('route_master')->select('*');           
        if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
            $session_div = Session::get('Pakages'); 
            if(!empty($session_div)){
                $query->whereIn('Pakage_id',$session_div);    
            }else {
                $query->whereRaw('1=2');    
            }
        }       
        return $query;
    }

    // public static function get_all_vehicles($aSeach){

    //    $sql = 'SELECT vm.* FROM vehicle_master vm WHERE is_active=1';
    //    if(!empty($aSeach['packege_id'])){
    //     $sql .= ' AND Pakage_id = '.$aSeach['packege_id'];
    //    }
    //    $Result = DB::select($sql); 

    //    return $Result;
    // }

    public static function get_vehicle_types(){
      
      $sql = 'SELECT vt.*,(SELECT COUNT(id) FROM vehicle_subtypes WHERE vehicle_type_id = vt.id) as subtype_count FROM vehicle_types vt WHERE 1=1';
       
       $Result = DB::select($sql); 

       return $Result;
    }

    public static function get_all_vehicles_subtype($aSeach=''){
      
      $sql = 'SELECT vs.* FROM vehicle_subtypes vs WHERE 1=1';

        if(!empty($aSeach['type_id'])){

            $sql .= ' AND vehicle_type_id = '.$aSeach['type_id'];
        }
       
       $Result = DB::select($sql); 

       return $Result;
    }

    public static function get_vehicle_sub_type(){
      
     $sql = "select vs.id,concat(vs.name,'(',vt.type,')') as name from vehicle_subtypes vs left join vehicle_types vt on vt.id = vs.vehicle_type_id  where 1=1 order by vs.name asc";
       
       $Result = DB::select($sql); 

       return $Result;
    }

    
   
}

?>