<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use App\Libraries\Mysecurity;

class VehicleTrakingReportModel extends Model
{
    use HasFactory;
    protected $table = 'vehicle_tracking_report';

    
    public static function get_all_vehicle_track_data($aSearch){

    	$sql = "SELECT drd.id,drd.pockets,rm.route_name,concat(vs.name,'(',vt.type,')') as type,
                (SELECT vehicle_number FROM vehicle_master WHERE id = drd.vehicle_number) as vehicle_number
            FROM daily_route_details drd left join vehicle_subtypes vs on vs.id = drd.type left join vehicle_types vt on vt.id = vs.vehicle_type_id left join route_master rm on rm.id = drd.route_id WHERE 1=1";

       if (!empty($aSearch['txt_date'])) {
              $txt_date = date('Ymd',strtotime($aSearch['txt_date']));
              $sql .= " AND drd.current_day =" . $txt_date;
          }

        $aPakages_id = Session::get('Pakages');

        $aLoggedIn = Session::get('logged_in');

        if($aLoggedIn['superuser'] !=1 && $aLoggedIn['subadmin'] !=1){

            $str_div = ($aPakages_id)?implode(',',$aPakages_id):0;
                $sql .= ' AND rm.Pakage_id IN ('.$str_div.')';
        }

        // only for admin and subadmin $aSearch['Pakage_id']
        if(!empty($aSearch['Pakage_id'])){
            
            $sql .= ' AND rm.Pakage_id = '.$aSearch['Pakage_id'];
        }

        $sql .= " ORDER by drd.id DESC";

        //echo $sql.'<br>';
       $Result = DB::select($sql); 

       return $Result;
    }

    public static function get_all_hook_loader_visit($aSearch){

        $sql = 'SELECT hlv.*,vm.vehicle_number,ap.Pakage_name FROM hook_loader_and_water_tanker_visit hlv LEFT JOIN vehicle_master vm ON vm.id = hlv.vehicle_id LEFT JOIN admin_pakages ap ON ap.id = hlv.package_id  WHERE vehicle_type_id=4';

        if(!empty(session('search_from_date_h'))){
           $sql .= ' AND hlv.current_day >= '. date('Ymd',strtotime(session('search_from_date_h')));
        }

        if(!empty(session('search_to_date_h'))){
           $sql .= ' AND hlv.current_day <= '. date('Ymd',strtotime(session('search_to_date_h')));
        }

        if(!empty(session('search_packege_id_h'))){
           $sql .= ' AND hlv.package_id = '. session('search_packege_id_h');
        }

        $aPakages_id = Session::get('Pakages');

        $aLoggedIn = Session::get('logged_in');

        if($aLoggedIn['superuser'] !=1 && $aLoggedIn['subadmin'] !=1){

            $str_div = ($aPakages_id)?implode(',',$aPakages_id):0;
                $sql .= ' AND hlv.package_id IN ('.$str_div.')';
        }
        
        //echo $sql.'<br>';die();
        
        $Result = DB::select($sql);

        return $Result;
    }

    public static function get_all_water_tanker_visit($aSearch){

        $sql = 'SELECT hlv.*,vm.vehicle_number,ap.Pakage_name FROM hook_loader_and_water_tanker_visit hlv LEFT JOIN vehicle_master vm ON vm.id = hlv.vehicle_id LEFT JOIN admin_pakages ap ON ap.id = hlv.package_id  WHERE vehicle_type_id=5';

        if(!empty(session('search_from_date_w'))){
           $sql .= ' AND hlv.current_day >= '. date('Ymd',strtotime(session('search_from_date_w')));
        }

        if(!empty(session('search_to_date_w'))){
           $sql .= ' AND hlv.current_day <= '. date('Ymd',strtotime(session('search_to_date_w')));
        }

        if(!empty(session('search_packege_id_w'))){
           $sql .= ' AND hlv.package_id = '. session('search_packege_id_w');
        }

        $aPakages_id = Session::get('Pakages');

        $aLoggedIn = Session::get('logged_in');

        if($aLoggedIn['superuser'] !=1 && $aLoggedIn['subadmin'] !=1){

            $str_div = ($aPakages_id)?implode(',',$aPakages_id):0;
                $sql .= ' AND hlv.package_id IN ('.$str_div.')';
        }
        
        //echo $sql.'<br>';
        
        $Result = DB::select($sql);

        return $Result;
    }
    public static function get_all_payable_amount($aSearch){

        $sql = 'SELECT drd.*,vm.vehicle_number FROM daily_route_details drd LEFT JOIN vehicle_master vm ON vm.id = drd.vehicle_number WHERE 1=1';

        if(!empty(session('search_from_date'))){
           $sql .= ' AND drd.current_day >= '. date('Ymd',strtotime(session('search_from_date')));
        }

        if(!empty(session('search_to_date'))){
           $sql .= ' AND drd.current_day <= '. date('Ymd',strtotime(session('search_to_date')));
        }

        if(!empty(session('search_vehicle_id'))){
           $sql .= ' AND drd.vehicle_number = '. session('search_vehicle_id');
        }

        if(!empty(session('search_packege_id'))){
           $sql .= ' AND vm.Pakage_id = '. session('search_packege_id');
        }

        if(!empty(session('search_sub_type_id'))){
           $sql .= ' AND drd.type = '. session('search_sub_type_id');
        }

        $aPakages_id = Session::get('Pakages');

        $aLoggedIn = Session::get('logged_in');

        if($aLoggedIn['superuser'] !=1 && $aLoggedIn['subadmin'] !=1){

            $str_div = ($aPakages_id)?implode(',',$aPakages_id):0;
                $sql .= ' AND vm.Pakage_id IN ('.$str_div.')';
        }

        $Result = DB::select($sql);

        return $Result;
    }

}

