@extends('layout.index')
@section('title', 'Employee Attendance')

<!-- Dashboard Ecommerce start -->
@section('content')
    @php
    use Carbon\Carbon;

    @endphp
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0"> Employee Attendance Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/reports/employee_attendance') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-9">
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="form-group m-0">
                                                    <label class="form-label">Pakage</label>
                                                    <select name="Pakage_id" class="select2 form-select">
                                                        <option value="">Select Pakage</option>
                                                        @foreach ($aPakage as $val)
                                                            @php $selected = '';   @endphp
                                                            @if ($Pakage_id == $val->id)
                                                                @php $selected ='selected'; @endphp
                                                            @endif
                                                            <option value="{{ $val->id }}" {{ $selected }}>
                                                                {{ $val->Pakage_name }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <label class="form-label">Date</label>
                                                <input id="attendance_date" name="attendance_date" class="form-control flatpickr-basic"
                                                    type="text" value="{{ $attendance_date }}" placeholder="yyyy-mm-dd">
                                                </select>
                                            </div>

                                            <div class="col-sm-3">
                                                <label class="form-label">&nbsp;</label><br>
                                                <button type="submit" class="btn btn-primary">Search</button>

                                                @if ($search)
                                                    <a title="Clear"
                                                        href="{{ url('/reports/clear_search/employee_attendance') }}"
                                                        type="button" class="btn btn-outline-primary">
                                                        <i data-feather="rotate-ccw" class="me-25"></i> Clear
                                                    </a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-sm-3">
                                        <div style="float: right; margin-top: 25px;">
                                        @if (sizeof($aAttendance))
                                            <a href="{{ url('/reports/employee_attendance/export_excel') }}" class="btn btn-outline-primary"><i class='fa fa-download' arial-hidden="true"></i> Excel</a>
                                        @endif    
                                            <a href="{{ url('reports') }}" 
                                            class="btn btn-outline-primary"><span>Back</span></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <form method="post">
                        @csrf
                        <input type="hidden" name="form_type" value="invalidate">
                        <input type="submit" name="btn-invalid" class="btn btn-primary" value="Report as Invalid">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th class="text-center">Sr.No</th>
                                            <th class="text-left">Date</th>
                                            <th class="text-left">Pakage</th>
                                            <th class="text-left">Status</th>
                                            <th class="text-left">Supervisor</th>
                                            <th class="text-left">Emp Code</th>
                                            <th class="text-left">Emp Name</th>
                                            <th class="text-left">Login Time</th>
                                            <th class="text-left">Login Location</th>
                                            <th class="text-center">Login Image</th>
                                            <th class="text-left">Logout Time</th>
                                            <th class="text-left">Logout Location</th>
                                            <th class="text-center">Logout Image</th>
                                            <th class="text-left">hours</th>
                                        </tr>
                                    </thead>
                                    <tbody class="text-left">
                                        @if (sizeof($aAttendance))
                                            @php
                                                $i = 0;
                                                $i = $aAttendance->perPage() * ($aAttendance->currentPage() - 1);
                                            @endphp
                                            @foreach ($aAttendance as $val)
                                                @php
                                                    $datetime1 = new DateTime(date('Y-m-d H:i:s', $val->inward_datetime));
                                                    $datetime2 = new DateTime(date('Y-m-d H:i:s', $val->outword_datetime));
                                                    if ($val->outword_datetime) {
                                                        $difference = $datetime1->diff($datetime2);
                                                        $difference = $difference->format('%H:%I');
                                                    } else {
                                                        $difference = '';
                                                    }
                                                    $i++;
                                                @endphp
                                                <tr>
                                                    <td class="text-center">{{ $i }} <input type="checkbox" name="problem[]" value="{{ $val->id }}"></td>
                                                    <td class="text-left">{{ date('d-m-Y', $val->attendance_date) }}</td>
                                                    <td class="text-left">{{ $val->Pakage_name }}</td>
                                                    <td class="text-left">{{ $val->success == 1 ? 'Present' : 'Absent' }}
                                                    </td>
                                                    <td>{{ $val->supervisor_name }}</td>
                                                    <td class="text-left">{{ $val->emp_id }}</td>
                                                    <td class="text-left">{{ $val->name }}
                                                    </td>
                                                    <td class="text-left">{{ date('h:i A', $val->inward_datetime) }}</td>
                                                    <td class="text-left">{{ $val->in_location }}</td>
                                                    <td class="text-center">
                                                        
                                                        @if ($val->in_image_url)
                                                            <div class="avatar avatar-lg">
                                                            <a href= "{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->in_image_url) }}" target="_blank">
                                                                <img src="{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->in_image_url) }}" alt="Profile Picture" /></a>
                                                            </div>
                                                        @else
                                                        <div>
                                                        No Image
                                                            <!-- <img src={{ asset('app-assets/images/portrait/small/proflie-default.png')}} alt="avatar" /> -->
                                                    
                                                        </div>
                                                        @endif
                                                    </td>
                                                    <td class="text-left">
                                                        {{ $val->outword_datetime ? date('h:i A', $val->outword_datetime) : "-" }}
                                                    </td>
                                                    <td class="text-left">{{ $val->out_location ? $val->out_location : "-" }}</td>
                                                    <td class="text-center">
                                                    
                                                        @if ($val->out_image_url)
                                                            <div class="avatar avatar-lg">
                                                                <a href= "{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->out_image_url) }}" target="_blank">
                                                                <img src="{{ asset('attendance/'.date('Ymd',$val->attendance_date).'/'.$val->out_image_url) }}" alt="Profile Picture" /></a>
                                                            </div>
                                                        @else
                                                            <div>
                                                                No Image
                                                                <!-- <img src={{ asset('app-assets/images/portrait/small/proflie-default.png')}} alt="avatar" /> -->
                                                            </div>
                                                        @endif
                                                    </td>
                                                    <td class="text-left">{{ $difference ? $difference : "-"  }}</td>
                                                </tr>
                                            @endforeach
                                        @else
                                            <tr>
                                                <td colspan="16" style="text-align: center; color:red;">No Record Found.</td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                                <div class="card-body">
                                    <div class="d-flex justify-content-end">
                                        {{ $aAttendance->links() }}
                                    </div>
                                </div>
                            </div>
                       
                        </form>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection
