@extends('layout.index')
@section('title', 'Invalid Entries Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0"> Invalid Entries Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/reports/invalid_entries') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-9">
                                        <div class="row">
                                            <div class="col-sm-3">
                                                <div class="form-group m-0">
                                                    <label class="form-label">Pakage</label>
                                                    <select name="Pakage_id" class="select2 form-select">
                                                        <option value="">Select Pakage</option>
                                                        @foreach ($aPakage as $val)
                                                            @php $selected = '';   @endphp
                                                            @if ($Pakage_id == $val->id)
                                                                @php $selected ='selected'; @endphp
                                                            @endif
                                                            <option value="{{ $val->id }}" {{ $selected }}>
                                                                {{ $val->Pakage_name }}
                                                            </option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-3">
                                                <label class="form-label">Start Date</label>
                                                <input id="start_date" name="start_date"
                                                    class="form-control flatpickr-basic" type="text"
                                                    value="{{ $start_date }}">
                                                </select>
                                            </div>

                                            <div class="col-md-3">
                                                <label class="form-label">End Date</label>
                                                <input id="end_date" name="end_date" class="form-control flatpickr-basic"
                                                    type="text" value="{{ $end_date }}">
                                                </select>
                                            </div>

                                            <div class="col-sm-3">
                                                <label class="form-label">&nbsp;</label><br>
                                                <button type="submit" class="btn btn-primary">Search</button>

                                                @if ($search)
                                                            <a title="Clear" href="{{ url('/reports/clear_search/invalid_entries') }}"
                                                        type="button" class="btn btn-outline-primary">
                                                        <i data-feather="rotate-ccw" class="me-25"></i> Clear
                                                    </a>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-3">
                                        <div style="float: right; margin-top: 25px;">
                                            <a href="{{ url('/reports/invalid_entries/export_excel') }}" 
                                            class="btn btn-outline-primary"><i class='fa fa-download' arial-hidden="true"></i> Excel</a>
                                           
                                            <a href="{{ url('reports') }}" 
                                            class="btn btn-outline-primary"><span>Back</span></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <form method="post">
                        @csrf
                        <input type="hidden" name="form_type" value="validate">
                        <input type="submit" name="btn-invalid" class="btn btn-primary" value="Report as Valid">
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered" style="width:1600px">
                                <thead>
                                    <tr>
                                        <th class="text-center" style="width: 10px;">Sr.No</th>
                                        <th>Pakage Name</th>
                                        <th class="text-left" style="width: 100px;">Date</th>
                                        <th class="text-left">Emp Code</th>
                                        <th class="text-left">Emp Name</th>
                                        <th class="text-left">Login Time</th>
                                        <th class="text-left">Login Location</th>
                                        <th class="text-left">Login Image</th>
                                        <th class="text-left">Logout Time</th>
                                        <th class="text-left">Logout Location</th>
                                        <th class="text-left">Logout Image</th>
                                        <th class="text-left">Status</th>
                                        <th class="text-left">hours</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                                    @if (sizeof($aInvalid))
                                        @php
                                            $i = 0;
                                        @endphp
                                        @foreach ($aInvalid as $val)
                                            @php
                                                $i++;
                                            @endphp
                                            <tr>
                                            <td class="text-center">{{ $i }} <input type="checkbox" name="problem[]" value="{{ $val->id }}"></td>
                                                <td class="text-left">{{ $val->Pakage_name }}</td>
                                                <td class="text-left" style="width: 40px;">
                                                    {{ date('d-m-Y', $val->attendance_date) }}</td>
                                                <td class="text-left"> {{ $val->emp_id }}</td>
                                                <td class="text-left">{{ $val->employee }}</td>

                                                <td class="text-left">{{ date('H:i', $val->inward_datetime) }}</td>
                                                <td class="text-left"> {{ utf8_decode($val->in_location) }}</td>
                                                <td>
                                                    @if($val->in_image_url)
                                                        <div class="avatar avatar-lg">
                                                            <img src="{{ asset('attendance/'.$val->current_day.'/'.$val->in_image_url) }}" alt="Profile Picture" />
                                                        </div>
                                                    @else
                                                    <div class="avatar avatar-lg">
                                                        <img  src={{ asset('app-assets/images/portrait/small/proflie-default.png')}} alt="avatar" />
                                                    </div>
                                                    @endif
                                                </td>
                                                <td class="text-left">
                                                    @if ($val->outword_datetime > 0)
                                                        {{ date('H:i', $val->outword_datetime) }}
                                                    @endif
                                                </td>
                                                <td class="text-left">{{$val->out_location ? utf8_decode($val->out_location) : "-"}}</td>
                                                <td>
                                                    @if($val->out_image_url)
                                                        <div class="avatar avatar-lg">
                                                            <img src="{{ asset('attendance/'.$val->current_day.'/'.$val->out_image_url) }}" alt="Profile Picture" />
                                                        </div>
                                                    @else
                                                        <div class="avatar avatar-lg">
                                                            <img  src={{ asset('app-assets/images/portrait/small/proflie-default.png')}} alt="avatar" />
                                                        </div>
                                                    @endif
                                                </td>
                                                <td class="text-left">{{ $val->success == 1 ? 'Present' : 'Absent' }}
                                                </td>
                                                <td class="text-left">{{ $val->hours }}</td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="13" style="text-align: center; color:red;">No Record Found.</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    {{ $aInvalid->links() }}
                                </div>
                            </div>
                        </div>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection
