@extends('layout.index')
@section('title','Daily Vehicle Route')

<!-- Dashboard Ecommerce start -->
@section('content')

<style>
   .notation_panel{
      position: absolute;
      top: 100px !important;
      padding: 10px;
      z-index: 9;
      background-color: #000000c4;
      border-radius: 5px;
      /* opacity: 0.7; */
      color: #ffffff;
      width: fit-content;
      margin-left: 10px !important;
      float: right;
       height: 500px;
       overflow-y: auto;
   }
   .notation_panel td{
      color: #edebeb;
   } 
</style>

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100" >
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">All Route</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">All Route</li>
                     </ol>
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>
      
<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card">
         
            <div class="notation_panel">
            <table id="notation_panel_table">
                  
            </table>
         </div>
         <?php $goole_map_key = config('custom.google_map_key'); ?>
         <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
         <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $goole_map_key; ?>&libraries=drawing"></script>

         <div style="width:100%;height:89vh;clear:both;" id="map"></div>
        
            
         </div>
      </div>
   </div>

   <script>
      
      var all_polygon = [];

      var aLatlng = new google.maps.LatLng(18.63313168078192, 73.79144077540306);

      var myOptions = {
            zoom: 12,
            center: aLatlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP,
         }

      map = new google.maps.Map(document.getElementById("map"), myOptions);

      
      get_pocket();
           
            function get_pocket(){
                 
                  $.ajax({
                     url: "{{ url('default_all_route_new/get_all_route') }} ",
                     type: "post",
                     data:{"_token": "{{ csrf_token() }}"},
                     success: function(response){
                        
                         var res = JSON.parse(response);

                         //console.log(res);

                        if (res.route_all) {

                          show_route(res.route_all);
                        }
                        
                     },
                     error: function(){                 
                        alert("Error while request..");
                     }
                  }); 
               
            }


            function show_route(route_all){
               
                 var tr;

                 tr += '<tr><td style=""><input type="checkbox" class="show_default_check" id="all_pocket" name="all_pocket" value="0" onClick="get_pocket_route(this)">&nbsp;&nbsp;<td> All Route</td></td></tr>';

                $.each(route_all, function( key, aRoute ) {

                     if (aRoute.route_name.length > 20) {
                         var route_name = aRoute.route_name.substring(0, 20) + ' ...';
                     } else {
                         var route_name = aRoute.route_name;
                     }

                    tr += '<tr><td style=""><input type="checkbox" class="show_default_check show_pocket" id="show_pocket" name="show_pocket" value="'+aRoute.id+'" onClick="get_pocket_route(this)">&nbsp;&nbsp;<td title="'+aRoute.route_name+'">'+route_name+'</td></td></tr>';
                  }); 

               

                $('#notation_panel_table').append(tr);
            }

            function get_pocket_route(elem){

               var isChecked = $(elem).prop('checked');
        
              // If "All Route" checkbox is clicked, check/uncheck all other checkboxes
              if ($(elem).attr('id') === 'all_pocket') {
                  $('.show_pocket').prop('checked', isChecked);
              }
             
             var route_id = $(elem).attr('value');

               if ($(elem).is(':checked')){

                    if(route_id !=''){

                       $.ajax({
                              url: "{{ url('default_all_route_new/get_pocket_data_all') }} ",
                              type: "post",
                              data:{"_token": "{{ csrf_token() }}","route_id":route_id},
                              success: function(response){
                                 
                                 var res = JSON.parse(response);

                                 //console.log(res.route_all.length);

                                 if (res.route_all.length > 0) {

                                   show_pocket(res.route_all);
                                 }else{
                                   alert('Record Not Found!');
                                 }
                                 
                              },
                              error: function(){                 
                                 alert("Error while request..");
                              }
                           }); 
                    }
               }else{
                 
                 removeAllPolygon(route_id);
                  
               }
            }


            function show_pocket(pockets){
               
               //console.log(pockets);

               var total_distance_count = 0;
               
                pockets.forEach((item) => {
                   
                    var pocket_points    = item.points;
                    var pocket_coords_id = item.id;
                    var route_id         = item.route_id;
                    var route_name       = item.route_name;
                    var pocket_name      = item.pocket_name;
                    var number_of_passes = item.number_of_passes;
                    var total_distance   = item.total_distance;

                    total_distance_count += item.total_distance;
                    
                    

                    //console.log(pocket_points);
                    pocket_points2 = JSON.parse(pocket_points);

                    
                    
                     poly = new google.maps.Polygon({
                        path:pocket_points2,
                        strokeColor: "#FF0000",
                        strokeOpacity: 0.8,
                        strokeWeight: 2,
                        fillColor: "#FF0000",
                        fillOpacity: 0.35,
                        id:pocket_coords_id,
                        pocket_name:pocket_name,
                        number_of_passes:number_of_passes,
                        total_distance:total_distance,
                        route_name:route_name,
                    });
                    
                     poly.setMap(map);
                     
                     if(all_polygon[route_id] == undefined){
                        all_polygon[route_id] = []
                     }
                     all_polygon[route_id].push(poly);
                     
                     var infowindow = new google.maps.InfoWindow()

                     google.maps.event.addListener(poly, 'click', function(event) {
                        
                        infowindow.setContent('<b>Route Name</b> : '+ this.route_name+'<br><b>Number Of Passes</b> : '+ this.number_of_passes+'<br><b>Pocket Name</b> : '+ this.pocket_name+'<br> <b>Distance Travelled</b> : '+total_distance);
                        infowindow.setPosition(event.latLng);
                        infowindow.open(map);
                     }); 
                }); 

            }



            function removeAllPolygon(route_id){
                  
               
                 if(route_id == 0){
                     $.each( all_polygon, function( key, aRoute ) {
                       
                        if(aRoute !== undefined){
                           
                           for(i=0; i<aRoute.length;i++){
                              aRoute[i].setMap(null);
                           }
                        }
                        
                     });
                 }else{

                     if(all_polygon[route_id] !== undefined){
                        for(i=0; i<all_polygon[route_id].length;i++){
                              all_polygon[route_id][i].setMap(null);
                           }
                     }
                 }
                
            }


   </script>
         <!-- Bordered table end -->
 @endsection
 