@extends('layout.index')
@section('title','Daily Vehicle Route')

<!-- Dashboard Ecommerce start -->
@section('content')

<style>
	#notation_panel{
		position:fixed;
		float:left;
		right:5px;
		padding:10px;
		z-index:1000;
		width:220px;
		max-height: 300;
		overflow-y: scroll;
		background-color: #000000c4;
		border-radius: 5px;
		/* opacity: 0.7; */
		color: #ffffff;
		border-radius:5px;
		top: 92px;
      text-align:left;
	}

   .notation_panel{
      position: absolute;
      top: 180px !important;
      padding: 10px;
      z-index: 9;
      background-color: #000000c4;
      border-radius: 5px;
      /* opacity: 0.7; */
      color: #ffffff;
      width: fit-content;
      margin-left: 10px !important;
      float: right;
   }
   .notation_panel td{
      color: #edebeb;
   } 
   #load {
		position: fixed;
		top: 0; left: 0; z-index: 9999;
		width: 100vw; height: 100vh;
		background: rgba(0, 0, 0, 0.7);
		transition: opacity 0.2s;
	}
</style>

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100" >
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">Daily Vehicle Route</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Daily Vehicle Route</li>
                     </ol>
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>
      
<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card">
         
            <input type="hidden" name="form_type" value="search_form">
            @csrf
            <div class="card-header w-100 p-1" >
               <div class="row w-100" >
                  <div class="col-sm-2">
                     <div class="form-group m-0">
                        <select name="vehicle_id" id="vehicle_id" class="select2 form-select" onchange="empty_checkbox_area_and_pocket();">
                           <option value="">--- Select Vehicle ---</option>
                              @foreach($vehicle as $val)

                                 @php $selected = ''; @endphp 
                                 @if($vehicle_id == $val->id)
                                 @php $selected ='selected'; @endphp
                                 @endif
                              <option {{$selected}} value="{{$val->id}}" > {{$val->vehicle_number }}</option>
                           @endforeach            
                        </select>
                     </div>
                  </div>

                  <div class="col-sm-2">
                     <div class="form-group m-0">
                         <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo date('d-m-Y',strtotime($date)); ?>">
                     </div>
                  </div>
                  
                  <div class="col-sm-4">
   
                     <button type="submit" class="btn btn-primary" onclick = "search_route(null,true)">Search</button>
                         <a title="Clear" href="{{ url('route_deviation/clear_search') }}" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                  </div> 
                  <div class="col-sm-1" style="display: flex;align-items: center;">
                     <input type="checkbox" class="form-control" id="show_load_map" name="show_load_map" value="" onClick="show_load_map()">
                     <label style="width: 160px;">Auto Load</label>
                  </div> 
               </div>
             </div>
         

         <div class="notation_panel" style="display: none;">
            <table id="notation_panel_table">
               <tr><td colspan="two" style=""><strong></strong></td></tr><tr class="show_default" style="display:none; justify-content: space-between;"><td>Show Work Area</td><td style="padding:5px;margin:5px;"><input type="checkbox" class="show_default_check" id="show_area" name="show_area" value="" onClick="hide_show_route(this);"></td></tr>

               <tr class="show_marker" style="display:none; justify-content: space-between;"><td>Show All Marker</td><td style="padding:5px;margin:5px;"><input type="checkbox" class="show_marker_check" id="show_marker" name="show_marker" value=""onClick="hide_show_route(this)"></td></tr>

               <tr class="show_arrow" style="display:none; justify-content: space-between;"><td>Show Direction</td><td style="padding:5px;margin:5px;"><input type="checkbox" class="show_arrow_check" id="show_arrow" name="show_arrow" value=""onClick="show_arrow_map()"></td></tr>
            </table>
         </div>
         <div id="load" style="display: none" class="loader">
            <div class="d-flex" style="align-items: center; justify-content: center; height: 100vh">
              <img height="100" src="<?php echo url("assets/img") ?>/loading.gif"/>
            </div>
         </div>
         <?php $goole_map_key = config('custom.google_map_key'); ?>
         <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
         <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $goole_map_key; ?>&libraries=drawing"></script>

         <div style="width:100%;height:89vh;clear:both;" id="map"></div>
       
         <script>
            
            var nIntervId;
            function show_load_map(){
              
               if (!nIntervId && $('#show_load_map').is(':checked')) {

                   nIntervId = setInterval(get_data_all, 40000);

                  function get_data_all(){

                     search_route(null,false);
                  }

                  
              }else{

                //console.log(nIntervId);

                clearInterval(nIntervId);

                 nIntervId = null;
              }
               
            }

            function show_arrow_map(){
               
               search_route(null,false);
            }

            var all_polygon = [];
            var all_poly = [];
            var all_checkpoint = [];

            jQuery(document).ready(function(){
               initMap();
               var vehicleId = <?php echo $vehicle_id; ?>;
		         search_route(vehicleId,true);
            });

            let map;
            let default_route_polygon = [], check_points_marker = [];
            let show_stoppages_marker = [], route_deviation_marker = [];
            let vehicle_id;


            function initMap() {
               var gMapoptions = {
                  zoom: 13,
                  center: {lat: 18.63313168078192, lng: 73.79144077540306},
                  mapTypeId: google.maps.MapTypeId.ROADMAP
               }
         
               map = new google.maps.Map(document.getElementById('map'),gMapoptions);
               set_khatPrakalpa_poly(map);
            }

            function show_work_area(response){
                  //console.log(response);
                  $.each( response.aRoutes, function( key, aRoute ) {

                     if('actual_route' in aRoute){
                        
                        var pockets2 = JSON.parse(aRoute.actual_route.pockets);

                        $.each( pockets2, function( key, item ) {

                           var pocket_points    = item.points;
                           var number_of_passes = item.passes;
                           var checkpoints      = item.checkpoints;
                           var current_pass     = item.current_pass;
                           var pocket_name      = item.pocket_name;
                           var distance_travelled = (item.distance_travelled)? (parseFloat(item.distance_travelled / 1000).toFixed(2)) + " km":0;
                           var default_distance = (item.default_distance)? item.default_distance+ " km":0;
                           var is_present = item.is_present;
                           var latest_pocket_in = (item.latest_pocket_in)?convert_time_to_date(item.latest_pocket_in):0;
                           var pocket_in = (item.pocket_in)?convert_time_to_date(item.pocket_in):0;
                           var pocket_out = (item.pocket_out)?convert_time_to_date(item.pocket_out):0;
                           var pocket_total_time = (item.pocket_total_time)? Math.floor(item.pocket_total_time / 60)+ " m":0;
                           var polygon_id      = item.polygon_id;


                           if(is_present == 1){
                              strokeColor = "#28c76f";
                              fillColor   = "#28c76f";
                           }else{
                              strokeColor = "#FF0000";
                              fillColor   = "#FF0000";
                           }
                          
                           poly = new google.maps.Polygon({
                              path:pocket_points,
                              strokeColor: strokeColor,
                              strokeOpacity: 0.8,
                              strokeWeight: 2,
                              fillColor: fillColor,
                              fillOpacity: 0.35,
                              number_of_passes:number_of_passes,
                              distance_travelled:distance_travelled,
                              default_distance:default_distance,
                              latest_pocket_in:latest_pocket_in,
                              pocket_in:pocket_in,
                              pocket_out:pocket_out,
                              pocket_total_time:pocket_total_time,
                              current_pass:current_pass,
                              pocket_name:pocket_name
                          });
                          
                          poly.setMap(map);
                          all_polygon.push(poly);

                             // Create an InfoWindow
                              var infowindow = new google.maps.InfoWindow()

                              // Add a 'mouseover and click' event listener to the polygon
                              google.maps.event.addListener(poly, 'click', function(event) {
                                  // Set the position and open the InfoWindow
                                 infowindow.setContent('<b>Number Of Passes</b> : '+ this.number_of_passes+'<br><b>Completed Pass</b> : '+ this.current_pass+'<br><b>Pocket Name</b> : '+ this.pocket_name+'<br><b>Pocket In</b> : '+pocket_in+'<br><b>Pocket Out</b> : '+pocket_out+'<br><b>Pocket Total Time</b> : '+pocket_total_time+'<br> <b>Distance Travelled</b> : '+distance_travelled +'<br> <b>Required Distance</b> : '+default_distance);
                                  infowindow.setPosition(event.latLng);
                                  infowindow.open(map);
                              });

                              // Add a 'mouseout' event listener to close the InfoWindow when the mouse leaves the polygon
                              // google.maps.event.addListener(poly, 'mouseout', function() {
                              //     infowindow.close();
                              // });

                              $.each( checkpoints, function( key2, item2 ) {
                                 

                                  var latitude        = item2.lat;  
                                  var longitude       = item2.lng; 
                                  var passes          = item2.passes;
                                  var date            = $('#date').val(); 
                                  //var polygon_id2     = polygon_id;
                                  var i_no            = key2;
                                   
                                  //console.log(passes);
                                 if(number_of_passes <= passes){
                                    image_gl_icon = 'green-pin.png'; 
                                    var image = {
                                       url :'<?php echo url("assets/img") ?>/'+image_gl_icon,
                                       scaledSize: new google.maps.Size(50, 50), // scaled size
                                    }
                                    var labelpasses = `${passes}`;
                                    
                                 }else{
                                    image_gl_icon = 'red-pin.png';
                                    var image = {
                                       url :'<?php echo url("assets/img") ?>/'+image_gl_icon,
                                       scaledSize: new google.maps.Size(50, 50), // scaled size
                                    }
                                    var labelpasses = `${passes}`;
                                 }

                                 // Create a marker with the custom icon
                                 var marker = new google.maps.Marker({
                                   position: new google.maps.LatLng(latitude, longitude),
                                   map: map,
                                   label: {color: '#000000', fontSize: '10px', fontWeight: '500',text: labelpasses,labelOrigin: new google.maps.Point(20, -20)},
                                   icon: image
                                 });

                                 marker.set("date", date);
                                 marker.set("polygon_id", polygon_id);
                                 marker.set("i_no", i_no);
                                 
                                 all_checkpoint.push(marker);

                                   var infowindow = new google.maps.InfoWindow()
                                    google.maps.event.addListener(marker,'click', (function(marker){ 
                                       
                                       $.ajax({
                                               url: "{{ url('/route_deviation/load_checkpoint_arrival') }} ",
                                               type: "post",
                                               data:{"_token": "{{ csrf_token() }}","date":this.get("date"),"polygon_id":this.get("polygon_id"),"i_no":this.get("i_no")},
                                               success: function(response){
                                                var res = JSON.parse(response)
                                                
                                                if(res.route_flag == 1){
                                                  
                                                  infowindow.setContent(res.html);
                                                      infowindow.setPosition(marker.latLng);
                                                      infowindow.open(map); 
                                                }
                                                  
                                               },
                                               error: function(){                 
                                                  alert("Error while request..");
                                               }
                                             }); 
                                    }));

                              });

                        });
                     }
                 });
            }

            function convert_time_to_date(res_time){

               var timestamp = res_time * 1000; // Convert seconds to milliseconds
               var date = new Date(timestamp);

                  // Format the date as 'mm/dd/yyyy H:i:s'
               var formattedDate = date.getDate().toString().padStart(2, '0') + '-' +(date.getMonth() + 1).toString().padStart(2, '0') + '-' +date.getFullYear() + ' ' +date.getHours().toString().padStart(2, '0') + ':' +date.getMinutes().toString().padStart(2, '0') + ':' +date.getSeconds().toString().padStart(2, '0');


               return formattedDate;
            }


            function show_marker(response){
             $.each( response.aRoutes, function( key, aRoute ) {

                     if('actual_route' in aRoute){
                        $.each( aRoute.actual_route.routes, function( key, inner_aRoute ) {
                           if('route' in inner_aRoute){
                              $.each( inner_aRoute.route, function( key, aVal ) {
                                 var latitude = aVal.latitude;
                                 var longitude = aVal.longitude;  
                                 var record_date = aVal.record_date;
                                 var record_time = aVal.record_time;
                                 var record_timestamp = aVal.record_timestamp;
                                 var speed = aVal.speed;
                                  marker = new google.maps.Marker({
                                     position: new google.maps.LatLng(latitude, longitude),
                                     map: map
                                   });

                                  all_poly.push(marker);

                                  var info_str = '<strong>Latitude</strong> : '+latitude+'<br><strong>Longitude</strong> : '+longitude+'<br><strong>Date</strong> : '+record_date+'<br><strong>Actual Time</strong> : '+record_time+'<br><strong>Speed</strong> : '+speed+'<br>';

                                  var infowindow = new google.maps.InfoWindow()
                                    google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                                       return function() {
                                          infowindow.setContent(info_str);
                                          infowindow.open(map,marker);
                                       };
                                    })(marker,info_str,infowindow));
                              });
                           }
                        });
                     }
                 });
            }

            function set_khatPrakalpa_poly(map){
               var khatprakalpa_coords = [
                  {lat: 19.936252, lng: 73.735846},
                  {lat: 19.938773, lng: 73.739365},
                  {lat: 19.938652, lng: 73.741640},
                  {lat: 19.936655, lng: 73.743314},
                  {lat: 19.934113, lng: 73.743635},
                  {lat: 19.931108, lng: 73.738829},
                  {lat: 19.933004, lng: 73.737305},
                  {lat: 19.936252, lng: 73.735846}
               ];

               var khatprakalpa_poly = new google.maps.Polygon({
                  paths: khatprakalpa_coords,
                  strokeColor: '#015430',
                  strokeOpacity: 0.8,
                  strokeWeight: 2,
                  fillColor: '#00f9d4',
                  fillOpacity: 0.35
               });
               khatprakalpa_poly.setMap(map);	
            }

            function search_route(vehicleId = null,flag=''){
               //event.preventDefault();
               if(vehicleId !== null){
                  vehicle_id  = vehicleId;
                  var search_date  = $('#date').val();
               }else{
                  vehicle_id  = $('#vehicle_id').val();
                  var search_date  = $('#date').val();
               }

                if ($('#show_arrow').is(':checked')) {
                  var show_arrow = 'true'; 
                }else{
                  var show_arrow = 'false'; 
                }

               var token = '<?php echo csrf_token() ?>';

               hide_notation_panel_data();
               hide_all_map_data();

               if(vehicle_id > 0 && search_date != '')
               {  
                  if(flag == true){
                    $("#load").css("display", "block");
                  }
                  $.ajax({			
                     type: "post",
                     dataType:'json',
                     url: "{{ url('route_deviation/load_route') }}",
                     cache: false,
                     data:{'_token':token,'vehicle_id':vehicle_id,'date':search_date},
                     success: function(response){
                        let store_response = 0;

                        $("#load").css("display", "none");

                        load_map(response,map,search_date,flag,show_arrow);
                        
                        if ($('#show_marker').is(':checked')) {
                           //console.log($('#show_marker'));
                           hide_show_route($('#show_marker'))
                           //hide_show_route(elem)
                        }

                     },
                     error: function(req, err){
                        console.log('my message ' + err);
                     }
                  })
               }else{
                  //console.log('Please Select Vehicle or Date');
               }
            }

            function hide_notation_panel_data()
            {
               //remove tr from notation panel
               $('.hide_show_tra_tr').remove();
               $('.hide_show_def_tr').remove();
               $('.hide_show_stoppages_tr').remove();
               $('.hide_show_route_deviation_tr').remove();
               //remove checkbox tick from  checkbox in notation panel
               $(".show_default_check").prop('checked', false); 
               $(".show_stoppages_check").prop('checked', false); 
               $(".show_route_deviation_check").prop('checked', false);
               //remove checkbox from notation panel
               $(".show_default").css("display", "none");
               $(".show_marker").css("display", "none");
               $(".show_arrow").css("display", "none");
               $(".show_route_deviation").css("display", "none");
               //remove notation panel
               $(".notation_panel").css("display", "none");
               $(".notation_panel_regular").css("display", "none");
               
            }

            function hide_all_map_data()
            {
               //remove Travelled routes polyline and markers
               for(i=0; i<travelled_polylines.length; i++){
                  travelled_polylines[i].setMap(null);
               }

               for(i=0; i<travelled_route_markers.length; i++){
                  travelled_route_markers[i].setMap(null);
               }
               
               //remove Default routeployline and markers and checkpoints markers
               for(i=0; i<defined_polylines.length; i++){
                  defined_polylines[i].setMap(null);
               }
               for(i=0; i<default_route_polygon.length; i++){
                  default_route_polygon[i].setMap(null);
               }
               for(i=0; i<default_route_markers.length; i++){
                  default_route_markers[i].setMap(null);
               }              
               for(i=0; i<check_points_marker.length; i++){
                  check_points_marker[i].setMap(null);
               }

               //remove Show stoppages markers
               for(i=0; i<show_stoppages_marker.length; i++){
                  show_stoppages_marker[i].setMap(null);
               }

               //remove route_deviation Markers
               for(i=0; i<route_deviation_marker.length; i++){
                  route_deviation_marker[i].setMap(null);
               }

               for(i=0; i<all_polygon.length;i++){
                  all_polygon[i].setMap(null);
               }

               for(i=0; i<all_poly.length;i++){
                  all_poly[i].setMap(null);
               }

               for(i=0; i<all_checkpoint.length;i++){
                  all_checkpoint[i].setMap(null);
               }
            }

            function load_map(response,map,search_date,flag,show_arrow){
               // console.log(response);
               if(flag == true){  
                  map.setCenter(new google.maps.LatLng(18.63313168078192,73.79144077540306));
                  map.setZoom(13);
               }
               var offset_counter = 0;

               store_response = response;

               //console.log(store_response);

               add_notation_panel_data(store_response,'travelled_route');

               $.each( response.aRoutes, function( key, aRoute ) {        
                  var todaysdate = todays_date();
                  //console.log(search_date)
                  //console.log(todaysdate)
                  if(search_date == todaysdate){
                     $(".show_route_deviation").css("display", "flex");
                  }
                  

                  if('actual_route' in aRoute){
                     $.each( aRoute.actual_route.routes, function( key, inner_aRoute ) {
                        if('route' in inner_aRoute){
                           $(".notation_panel").css("display", "block");
                           $(".show_default").css("display", "flex");
                           $(".show_marker").css("display", "flex");
                           $(".show_arrow").css("display", "flex");
                           var i = offset_counter;
                           var offset = i%10;
                           var color = inner_aRoute.color;
                           drawline = inner_aRoute.route;
                           if(drawline != ''){
                              var route_type = 'travelled';
                              draw_new_line(map,color,drawline,'none',route_type,show_arrow);
                           }
                        }
                     });
                  }
               });
               
               $('#show_area').trigger('click');
            }

            function todays_date(){
               var date    =  new Date();
               var day     =  date.getDate().toString().padStart(2, "0");
               var month   =  (date.getMonth()+1).toString().padStart(2, "0");
               var year    =  date.getFullYear();  
               return day+"-"+month+"-"+year;
            }

            function hide_show_route(elem){
		         var id = $(elem).attr('id');
               //console.log(elem);
               if(id == 'show_area'){
			         if ($(elem).is(':checked')){
                     show_work_area(store_response);
                  }else{
                     //console.log(defined_polylines);
                     $('.hide_show_def_tr').remove();
                     for(i=0; i<all_polygon.length;i++){
                        all_polygon[i].setMap(null);
                      }

                     for(i=0; i<all_checkpoint.length;i++){
                        all_checkpoint[i].setMap(null);
                     }


                  }
               }

               if(id == 'show_marker'){
                  if ($(elem).is(':checked')){
                     show_marker(store_response);
                     
                  }else{
                     //console.log(defined_polylines);
                      $('.hide_show_def_tr').remove();
                     for(i=0; i<all_poly.length;i++){
                        all_poly[i].setMap(null);
                      }
                  }
               }

               if(id == 'show_stoppages'){
                  if ($(elem).is(':checked')){
                     show_stoppages(store_response);
                     add_notation_panel_data(store_response,'show_stoppages');
                  }else{
                     $('.hide_show_stoppages_tr').remove();
                     for(i=0; i<show_stoppages_marker.length; i++){
                        show_stoppages_marker[i].setMap(null);
                     }
                  }
               }

               if(id == 'show_route_deviation'){
                  if ($(elem).is(':checked')){
                     show_route_deviation(store_response);
                     add_notation_panel_data(store_response,'show_route_deviation');
                  }else{                     
                     $('.hide_show_route_deviation_tr').remove();
                     for(i=0; i<route_deviation_marker.length; i++){
                        route_deviation_marker[i].setMap(null);
                     }
                  }
               }
            }

            function add_notation_panel_data(response, route_flag = null)
	         {
               var tr;
               $.each( response.aRoutes, function( key, aRoute ) {
                  if('actual_route' in aRoute && route_flag == 'travelled_route'){
                     if('routes' in aRoute.actual_route){
                        var count = Object.keys(aRoute.actual_route.routes).length;
                        if(count > 1){
                           var sTrvRoute_head = 'Travelled Route\'s';
                        }else{
                           var sTrvRoute_head = 'Travelled Route';
                        }
                        tr += '<tr class="hide_show_tra_tr"><td colspan="2">'+sTrvRoute_head+'</td></tr>';
                        tr += '<tr class="hide_show_tra_tr"><td colspan="2"><img src="<?php echo config('custom.base_url') ?>assets/img/pink_location.png" style="width:25px;height:25px;">Travelled Route Start</td></tr>';
                        tr += '<tr class="hide_show_tra_tr"><td colspan="2"><img src="<?php echo config('custom.base_url') ?>assets/img/brown_location.png" style="width:25px;height:25px;">Travelled Route End</td></tr>';

                        var iRowCounter = 0;
                        //console.log(aRoute.actual_route);
                        $.each( aRoute.actual_route.routes, function( key, aData ) {
                           if(iRowCounter == 0){ 
                              if(aData.vehicle_master_id !== null){
                                 // tr += '<tr class="hide_show_tra_tr"><td colspan="2" style="text-align:left;"><a href="<?php echo url('vehicle_tracking_reports/vehicle_stoppage_report')?>/'+vehicle_id+'/0"><span style="">View Vehicle Stoppages</span></a></td></tr>';
                                 // tr += '<tr class="hide_show_tra_tr"><td colspan="2" style="text-align:left;"><a href="<?php echo url('vehicle_tracking_reports/checkpoint_arrival')?>/'+vehicle_id+'/0"><span >View Checkpoint Arrival</span></a></td></tr>';
                              }                        
                           }
                           if('vehicle' in aData && aData.vehicle != null){
                              tr += '<tr class="hide_show_tra_tr"><td>'+aData.vehicle+'</td><td><span style="border-radius:5px;display:block;padding:10px;margin:5px;background-color:'+aData.color+'"></span></td></tr>';
                           }
                           if('Pakage' in aData && aData.Pakage != null){
                              tr += '<tr class="hide_show_tra_tr"><td colspan="2"><strong>Pakage : </strong><span>'+aData.Pakage+'</span></td></tr>';
                           }
                           if('ward' in aData && aData.ward != null){
                              tr += '<tr class="hide_show_tra_tr"><td colspan="2"><strong>Ward : </strong><span>'+aData.ward+'</span></td></tr>';
                           }
                           if('route_name' in aRoute.actual_route && aRoute.actual_route.route_name != null){
                                 
                                 if (aRoute.actual_route.route_name.length > 20) {
                                     var route_name = aRoute.actual_route.route_name.substring(0, 20) + ' ...';
                                 } else {
                                     var route_name = aRoute.actual_route.route_name;
                                 }

                              tr += '<tr class="hide_show_tra_tr"><td colspan="2" title="'+aRoute.actual_route.route_name+'"><strong>Route Name : </strong><span>'+route_name+'</span></td></tr>';
                           }
                           iRowCounter++;
                        });
                     }
                  }

                  if('defined_route' in aRoute){
                     if('route' in aRoute.defined_route && route_flag == 'default_route'){
                        tr += '<tr class="hide_show_def_tr"><td>Default Route</td><td><span style="border-radius:5px;display:block;padding:10px;margin:5px;background-color:'+aRoute.defined_route.color+'"></span></td></tr>';
                        tr += '<tr class="hide_show_def_tr"><td>Route Pocket</td><td><span style="border-radius:5px;display:block;padding:10px;margin:5px;background-color:#046d2e"></span></td></tr>';
                        tr += '<tr class="hide_show_def_tr"><td colspan="2"><img src="<?php echo config('custom.base_url') ?>assets/img/skyblue_location.png" style="width:25px;height:25px;">Default Route Start</td></tr>';
                        tr += '<tr class="hide_show_def_tr"><td colspan="2"><img src="<?php echo config('custom.base_url') ?>assets/img/orange_location.png" style="width:25px;height:25px;">Default Route End</td></tr>';
                        tr += "<tr class='hide_show_def_tr'><td colspan='2'><img src='<?php echo config("custom.base_url") ?>assets/img/yellow_location.png' style='width:25px;height:25px;'>Checkpoint's</td></tr>";
                     }
                  }

                  if(route_flag == 'show_stoppages'){
                     tr +='<tr class="hide_show_stoppages_tr"><td colspan="2"><img src="<?php echo config('custom.base_url') ?>assets/img/purpal_location.png" style="width:25px;height:25px;">Vehicle Stoppages</td></tr>';
                  }

                  if(route_flag == 'show_route_deviation'){
                     tr +='<tr class="hide_show_route_deviation_tr"><td colspan="2"> <img src="<?php echo config('custom.base_url') ?>assets/img/green_location.png" style="width:25px;height:25px;">Covered Route Point</td></tr>';
                     tr +='<tr class="hide_show_route_deviation_tr"><td colspan="2"><img src="<?php echo config('custom.base_url') ?>assets/img/red_location.png" style="width:25px;height:25px;">Not Covered Route Point</td></tr>';
                  }


               });
               $('#notation_panel_table').append(tr);
            }


            function show_default_route(response){
               //console.log(response);
               var offset_counter = 0;
               $.each( response.aRoutes, function( key, aRoute ) {
                  if('defined_route' in aRoute){
                     var i = offset_counter;
                     var offset = i%10;
                     drawline = aRoute.defined_route.route;
                     var color = aRoute.defined_route.color;
                     var route_type = 'defined';
                     draw_new_line(map,color,drawline,'none',route_type);

                     offset_counter++;
                  }

                  if('polygon' in aRoute){
                     var poly_coords = aRoute.polygon;
                     var route_poly = new google.maps.Polygon({
                        paths: poly_coords,
                        strokeColor: '#046d2e',
                        strokeOpacity: 0.8,
                        strokeWeight: 3,
                        fillColor: '#046d2e',
                        fillOpacity: 0.0,
                        clickable:true
                     });
                     route_poly.setMap(map);
                     default_route_polygon.push(route_poly);
                  }

                  if('checkpoints' in aRoute){
				         var checkpoints = aRoute.checkpoints;
                        for(var j=0;j < checkpoints.length;j++){
                           checkpoint = checkpoints[j];
                           var checkpoint_id = checkpoint.id;
                           var latitude = checkpoint.lat;
                           var longitude = checkpoint.lng;	
                           var route_id = checkpoint.route_id;
                           var expected_reach_time = checkpoint.expected_time;
                           var route_name = checkpoint.route_name;
                           var address = checkpoint.location;
                           var checkpoint_number = checkpoint.checkpoint_number;
                           if(checkpoint.actual_reach_time){
                              var actual_reach_time = checkpoint.actual_reach_time;
                              image_icon = 'arrived_yellow_location.png';
                           }else{
                              var actual_reach_time = 'Not Arrived Yet';
                              image_icon = 'not_arrived_yellow_location.webp';
                           }

                           var info_str = '<strong>Route Name</strong> : '+route_name+'<br><strong>Location</strong> : '+address+'<br><strong>Expected Time</strong> : '+expected_reach_time+'<br><strong>Actual Reach Time</strong> : '+actual_reach_time+'<br><strong>Checkpoint Number</strong> : '+checkpoint_number+'<br>';
                           
                              
                           size = new google.maps.Size(50, 50);
                           var image = {
                              url :'<?php echo url("assets/img") ?>/'+image_icon,
                              scaledSize: size, // scaled size
                           }
                           
                           var marker = new google.maps.Marker({
                              position: new google.maps.LatLng(latitude, longitude),
                              title:address,
                              map:map,
                              icon: image
                           });

                           check_points_marker.push(marker);
                           
                           var infowindow = new google.maps.InfoWindow()
                           google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                              return function() {
                                 infowindow.setContent(info_str);
                                 infowindow.open(map,marker);
                              };
                           })(marker,info_str,infowindow));
                        }
			         }
               });
            }

            function show_stoppages(response)
            {

               var offset_counter = 0;
               $.each( response.aRoutes, function( key, aRoute ) {
                  if('actual_route' in aRoute){
                     $.each( aRoute.actual_route.routes, function( key, inner_aRoute ) {
                        if('stopped' in inner_aRoute){
                           $.each( inner_aRoute.stopped, function( key, aStp ) {
                              var lat = aStp.lat;
                              var lng = aStp.lng;
                              var address = aStp.address;
                              var record_time = aStp.record_time;
                              var stopped_period = aStp.stopped_period;
                              
                              // image_gl_icon = 'green_location.png';
                              image_gl_icon = 'purpal_location.png';	
                              var image = {
                                 url :'<?php echo url("assets/img") ?>/'+image_gl_icon,
                                 scaledSize: new google.maps.Size(50, 50), // scaled size
                              }

                              var marker = new google.maps.Marker({
                                 position: new google.maps.LatLng(lat, lng),
                                 title: 'Vehicle Stoppages',
                                 map:map,
                                 icon: image
                              });

                              show_stoppages_marker.push(marker);

                              var info_str = '<strong>Time</strong> : '+record_time+'<br><strong>Stopped Period</strong> : '+stopped_period+'<br>';

                              var infowindow = new google.maps.InfoWindow()
                                 google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                                 return function() {
                                    infowindow.setContent(info_str);
                                    infowindow.open(map,marker);
                                 };
                              })(marker,info_str,infowindow));
                           });
                        }
                     });
                  }
               });
            }

            function show_route_deviation(response)
            {
               var offset_counter = 0;
               $.each( response.aRoutes, function( key, aRoute ) {
                  if('actual_route' in aRoute){
                     $.each( aRoute.actual_route.routes, function( key, inner_aRoute ) {
                        if('route_deviation' in inner_aRoute){
                           $.each( inner_aRoute.route_deviation, function( key, res ) {
                              var lat = res.lat;
                              var lng = res.lng;
                              var checkpoint = res.checkpoint;
                              
                              if(checkpoint == 0){
                                 image_gl_icon = 'red_location.png';	
                              }else{
                                 image_gl_icon = 'green_location.png';
                              }
                              var info_str = '<strong>Latitude</strong> : '+lat+'<br><strong>Longitude</strong> : '+lng+ '<br>';
                              var image = {
                                 url :'<?php echo url("assets/img") ?>/'+image_gl_icon,
                                 scaledSize: new google.maps.Size(50, 50), // scaled size
                              }
                              var marker = new google.maps.Marker({
                                 position: new google.maps.LatLng(lat, lng),
                                 title:'Route Deviation Points',
                                 map:map,
                                 icon: image
                              });

                              route_deviation_marker.push(marker);

                              var infowindow = new google.maps.InfoWindow()
                              google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                                 return function() {
                                    infowindow.setContent(info_str);
                                    infowindow.open(map,marker);
                                 };
                              })(marker,info_str,infowindow));
                           });
                        }
                     });
                  }
               });
            }

            function empty_checkbox_area_and_pocket(){
               
               $('#show_area').prop('checked',false);;
               $('#show_marker').prop('checked',false);;
               $('#show_arrow').prop('checked',false);;
            }

            </script> 
            
         </div>
      </div>
   </div>
         <!-- Bordered table end -->
 @endsection 
 
 <script src={{ asset('assets/js/linedraw.js') }}></script>
 <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
 