@extends('layout.index')
@section('title','Supervisor Map')

@section('content')

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100" >
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">Supervisor Map</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Supervisor Map</li>
                     </ol>
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>
      
<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card">
         <form method="post" id="search_frm" action="{{url('supervisor_map/search')}}">
            <input type="hidden" name="form_type" value="search_form">
            @csrf
            <div class="card-header w-100 p-1" >
               <div class="row w-100" >
               <div class="col-sm-3">
                     <div class="form-group m-0">
                        <select name="supervisor_id" id="supervisor_id" class="select2 form-select">
                           <option value="">--- Select Supervisor Name ---</option>
                              @foreach($supervisor_details as $val)

                                 @php $selected = ''; @endphp 
                                 @if($supervisor_id == $val->id)
                                 @php $selected ='selected'; @endphp
                                 @endif
                              <option {{$selected}} value="{{$val->id}}" > {{$val->supervisor_name }}</option>
                           @endforeach            
                        </select>
                     </div>
                  </div>

                  <div class="col-sm-2">
                     <div class="form-group m-0">
                         <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo date('d-m-Y',strtotime($date)); ?>" >
                     </div>
                  </div>

                  <div class="col-sm-4">
                     <button type="submit" class="btn btn-primary">Search</button>
                     <a title="Clear" href="{{ url('supervisor_map/clear_search') }}" class="btn btn-outline-primary" data-column="3"><i data-feather="rotate-ccw" class="me-25"></i><span> Clear</span></a> 
                  </div> 

               </div>
             </div>
         </form>


         <?php $goole_map_key = config('custom.google_map_key'); ?>
         <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
         <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $goole_map_key; ?>&libraries=drawing"></script>

         <div style="width:100%;height:89vh;clear:both;" id="map"></div>
       
         <script>
            jQuery(document).ready(function(){
               initMap();
            });

            function initMap() {
               var gMapoptions = {
                  zoom: 12,
                  center: {lat: 18.63313168078192, lng: 73.79144077540306},
                  mapTypeId: google.maps.MapTypeId.ROADMAP
               }	
         
               var map = new google.maps.Map(document.getElementById('map'),gMapoptions);

               <?php if(!empty($result)){  ?>
                  var checkpoints = <?php echo json_encode($result); ?>;	
                   for(var j=0;j < checkpoints.length;j++){
                      checkpoint = checkpoints[j];
                      //console.log(checkpoint);
                      set_marker(map,checkpoint,1);
                   }
               <?php } ?>

               function set_marker(map,marker_details,is_checkpoint){
                var image_icon = '';
                var size = '';

                if(is_checkpoint != 0){
                   image_icon = '/man.png';	
                   size = new google.maps.Size(35, 35);
                }else if(is_checkpoint == 0){
                   image_icon = '/man.png';
                   size = new google.maps.Size(35, 35);			
                }
                
                var image = {
                   url :'<?php echo url("assets/img/") ?>'+image_icon,
                   scaledSize: size, // scaled size
                   
                }		
              
                if(is_checkpoint != 0){
                   var supervisor_id = marker_details.supervisor_id;
                   var latitude = marker_details.lat;
                   var longitude = marker_details.lng;	
                   var supervisor_name = marker_details.supervisor_name;
                   var distance = marker_details.distance;
                   var speed = marker_details.latest_speed;
                   var search_date = '<?php echo date('Ymd',strtotime($date)); ?>';
                   
                   var info_str = '<strong>Supervisor Name</strong> : '+supervisor_name+'<br><strong>Speed</strong> : '+ speed +'<br><strong>Distance</strong> : '+ distance + '<br><strong> <a href={{ url('supervisor_map/supervisor_route_map') }}/'+supervisor_id +'/'+ search_date +'> View Route </a></strong>';
                }else{
                   var latitude = marker_details.lat;
                   var longitude = marker_details.lng;	
                   var supervisor_name = marker_details.supervisor_name;
                   var distance = marker_details.distance;
                   var speed = marker_details.latest_speed;
                  
                   var info_str = '<strong>Supervisor Name</strong> : '+supervisor_name+'<br><strong>Speed</strong> : '+ speed +'<br><strong>Distance</strong> : '+ distance;
                }
            
                var marker = new google.maps.Marker({
                   position: new google.maps.LatLng(latitude, longitude),
                  // title:route_id,
                   map:map,
                   icon: image
                });
                
                var infowindow = new google.maps.InfoWindow()
                google.maps.event.addListener(marker,'click', (function(marker,info_str,infowindow){ 
                   return function() {
                      infowindow.setContent(info_str);
                      infowindow.open(map,marker);
                   };
                })(marker,info_str,infowindow));		
            }

            }    
              
         </script> 
            
         </div>
      </div>
   </div>
         <!-- Bordered table end -->
 @endsection 
 
 <script src={{ asset('assets/js/linedraw.js') }}></script>
 <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
 <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
 