@extends('layout.index')
@section('title', 'Supervisor Edit')
<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Edit Supervisor</h2>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-end breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb mr-1">
                                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                        <li class="breadcrumb-item">Supervisor</li>
                                        <li class="breadcrumb-item active" aria-current="page">Edit Supervisor</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>

        @if ($message = Session::get('error'))
        <div class="demo-spacing-0 mb-1">
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <div class="alert-body">
                    {{ $message }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                </div>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
        @endif

        <div class="content-body">
            <section id="multiple-column-form">
                <div class="row justify-content-center">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                <form class="form" action="{{ route('supervisors.update', $aSupervisor->id) }}" method="post">
                                    {{ csrf_field() }}
                                    {{ method_field('PATCH') }}
                                    <div class="row">
                                        <div class="col-md-6 col-12">
                                            <label class="form-label" for="vehicle_number">Pakages <span style="color: red;">*</span></label>
                                            <select id="Pakage_id" name="Pakage_id" class="form-control select2">
                                                <option value="">Select Pakage </option>
                                                @foreach ($aPakage as $val)
                                                    <option value="{{ $val->id }}" {{($val->id == $aSupervisor->Pakage_id) ? 'selected' : ''}}>
                                                        {{ $val->Pakage_name }}</option>
                                                @endforeach
                                            </select>
                                            <h5><small class="text-danger" id="Pakage_id_err"></small></h5>
                                            @error('Pakage_id')
                                                <span class="error" style="color:red;">{{ $message }}</span>
                                            @enderror
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="supervisor_name">Supervisor Name <span
                                                        style="color:red;">*</span></label>
                                                <input type="text" id="supervisor_name" class="form-control"
                                                    placeholder="Supervisor Name" name="supervisor_name" value="{{  $aSupervisor->supervisor_name }}" autocomplete="off" />
                                                <h5><small class="text-danger" id="supervisor_name_err"></small></h5>

                                                @error('supervisor_name')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                               <label for="firstname">Gps Device Number</label>            
                                                <input type="text" id="gps_device_number" class="form-control" placeholder="Gps Device Number" name="gps_device_number" autocomplete="off" value="{{  $aSupervisor->gps_device_number }}" />
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="lastname">User Name <span style="color:red;">*</span></label>
                                                <input type="text" id="user_name" class="form-control"
                                                    placeholder="User Name" name="user_name" value="{{  $aSupervisor->user_name }}" autocomplete="off" />
                                                    <h5><small class="text-danger" id="user_name_err"></small></h5>
                                                @error('user_name')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="password">Password</label>
                                                <input type="password" id="password" class="form-control" name="password"
                                                    placeholder="Password" />
                                                    <h5><small class="text-danger" id="password_err"></small></h5>
                                                @error('password')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="password_confirmation">Confirm Password</label>
                                                <input type="password" id="password_confirmation" class="form-control"
                                                    name="password_confirmation" placeholder="Confirm Password" />
                                                    <h5><small class="text-danger" id="password_confirmation_err"></small></h5>
                                                @error('password_confirmation')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <label>&nbsp;</label>
                                            <div class="demo-inline-spacing">
                                                <div class="custom-control custom-radio mt-0">
                                                    <input type="radio" id="customRadio1" name="gender"
                                                        class="custom-control-input" value="1" @php if($aSupervisor->gender == 1){
                                                            echo "checked";
                                                        } @endphp />
                                                    <label class="custom-control-label" for="customRadio1">Male</label>
                                                </div>
                                                <div class="custom-control custom-radio mt-0">
                                                    <input type="radio" id="customRadio2" name="gender"
                                                        class="custom-control-input" value="0" @php if($aSupervisor->gender == 0){
                                                            echo "checked";
                                                        } @endphp />
                                                    <label class="custom-control-label" for="customRadio2">Female</label>
                                                </div>

                                            </div>
                                            @error('gender')
                                                <span class="error" style="color:red;">{{ $message }}</span>
                                            @enderror
                                        </div>

                                        <div class="col-12 text-center mt-1">
                                            <button type="submit" class="btn btn-primary mr-1" onClick="return validation()">Submit</button>
                                            <a href="{{ route('supervisors.index') }}" type="reset"
                                                class="btn btn-outline-secondary">Cancel</a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </section>
@endsection


<script type="text/javascript">
	function validation() {
        if ($('#Pakage_id').val() == ""){
            $('#Pakage_id').parent().addClass('has-error');
            $('#Pakage_id_err').html('Please Select Pakage.');
            $('#Pakage_id').focus();
            $('#Pakage_id').change(function () {
            $('#Pakage_id').parent().removeClass('has-error');
            $('#Pakage_id_err').html('');
            });
            return false;
        }

        if ($('#supervisor_name').val() == ""){
            $('#supervisor_name').parent().addClass('has-error');
            $('#supervisor_name_err').html('Please Supervisor Name.');
            $('#supervisor_name').focus();
            $('#supervisor_name').keyup(function () {
            $('#supervisor_name').parent().removeClass('has-error');
            $('#supervisor_name_err').html('');
            });
            return false;
        } 
        
        if ($('#user_name').val() == ""){
            $('#user_name').parent().addClass('has-error');
            $('#user_name_err').html('Please User Name.');
            $('#user_name').focus();
            $('#user_name').keyup(function () {
            $('#user_name').parent().removeClass('has-error');
            $('#user_name_err').html('');
            });
            return false;
        }
    }
</script>


