@extends('layout.index')
@section('title', 'Supervisor Device Edit')
<!-- Dashboard Ecommerce start -->
@section('content')
    <section>

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Edit Supervisor Device</h2>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-end breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb mr-1">
                                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                        <li class="breadcrumb-item">Supervisor</li>
                                        <li class="breadcrumb-item active" aria-current="page">Edit Supervisor Devices</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Basic multiple Column Form section start -->
            <section id="multiple-column-form">
                <div class="row justify-content-center">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                <form class="form" action="{{ url('/supervisors/device/update/'.$aDevices[0]->id) }}" method="POST">
                                    {{ csrf_field() }}
                                    <div class="row">
                                        <div class="col-md-6 col-12">
                                            <input type="hidden" id="supervisor_id" class="form-control"
                                                name="supervisor_id" value="{{ $aDevices[0]->supervisor_id }}" />

                                            <div class="form-group">
                                                <label for="user_name">User Name <span style="color:red;">*</span></label>
                                                <input type="text" id="user_name" class="form-control"
                                                    placeholder="User Name" name="user_name" value="{{ $aDevices[0]->user_name }}" autocomplete="off" />
                                                <h5><small class="text-danger" id="user_name_err"></small></h5>
                                                @error('user_name')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="device_id">Device Id <span style="color:red;">*</span></label>
                                                <input type="text" id="device_id" class="form-control"
                                                    placeholder="Device Id" name="device_id" autocomplete="off" value="{{ $aDevices[0]->device_id }}"/>
                                                <h5><small class="text-danger" id="device_id_err"></small></h5>
                                                @error('device_id')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-12 text-center mt-1">
                                            <button type="submit" class="btn btn-primary mr-1" onClick="return validation()">Submit</button>
                                            <a href="{{ url('/supervisors/devices/'.$aDevices[0]->supervisor_id ) }}" type="reset"
                                                class="btn btn-outline-secondary">Cancel</a>
                                        </div>
                                    </div>
                                </form>
                                
                            </div>
                        </div>
                    </div>
                </div>
        </div>
    </section>
   
@endsection
      
<script>
	function validation() {

        if ($('#user_name').val() == ""){
            $('#user_name').parent().addClass('has-error');
            $('#user_name_err').html('Please Enter User Name.');
            $('#user_name').focus();
            $('#user_name').keyup(function () {
            $('#user_name').parent().removeClass('has-error');
            $('#user_name_err').html('');
            });
            return false;
        } 
        
        if ($('#device_id').val() == ""){
            $('#device_id').parent().addClass('has-error');
            $('#device_id_err').html('Please Enter Device Id.');
            $('#device_id').focus();
            $('#device_id').keyup(function () {
            $('#device_id').parent().removeClass('has-error');
            $('#device_id_err').html('');
            });
            return false;
        }
    }
</script>



