@extends('layout.index')
@section('title', 'User Edit')
<!-- Dashboard Ecommerce start -->
@section('content')
    <section>

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Edit User</h2>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-end breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb mr-1">
                                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                        <li class="breadcrumb-item">User</li>
                                        <li class="breadcrumb-item active" aria-current="page">Edit User</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>

        @if ($message = Session::get('success'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif
        @if ($message = Session::get('error'))
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $message }}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        @endif

        <div class="content-body">
            <!-- Basic multiple Column Form section start -->
            <section id="multiple-column-form">
                <div class="row justify-content-center">
                    <div class="col-sm-12">
                        <div class="card">
                            <div class="card-body">
                                <form class="form" action="{{ route('users.update', $aUser->id) }}" method="POST">
                                    {{ csrf_field() }}
                                    {{ method_field('PATCH') }}
                                    <div class="row">
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="firstname">First Name <span style="color:red;">*</span></label>
                                                <input type="text" id="firstname" class="form-control"
                                                    placeholder="First Name" name="firstname"
                                                    value="{{ $aUser->firstname }}"  autocomplete="off"/>
                                                    <h5><small class="text-danger" id="firstname_err"></small></h5>
                                                @error('firstname')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="lastname">Last Name <span style="color:red;">*</span></label>
                                                <input type="text" id="lastname" class="form-control"
                                                    placeholder="Last Name" name="lastname"
                                                    value="{{ $aUser->lastname }}"  autocomplete="off"/>
                                                    <h5><small class="text-danger" id="lastname_err"></small></h5>
                                                @error('lastname')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="email">Email <span style="color:red;">*</span></label>
                                                <input type="text" id="email" class="form-control" name="email"
                                                    placeholder="Email" value="{{ $aUser->email }}"  autocomplete="off"/>
                                                    <h5><small class="text-danger" id="email_err"></small></h5>
                                                @error('email')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="password">Password <span style="color:red;">*</span></label>
                                                <input type="password" id="password" class="form-control" name="password"
                                                    placeholder="Password"  autocomplete="off"/>
                                                    <h5><small class="text-danger" id="password_err"></small></h5>
                                                @error('password')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="password_confirmation">Confirm Password</label>
                                                <input type="password" id="password" class="form-control"
                                                    name="password_confirmation" placeholder="Confirm Password" />
                                                    <h5><small class="text-danger" id="password_confirmation_err"></small></h5>
                                                @error('password_confirmation')
                                                    <span class="error" style="color:red;">{{ $message }}</span>
                                                @enderror
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <br><br>
                                            <div class="demo-inline-spacing">
                                                <div class="custom-control custom-radio mt-0">
                                                    <input type="radio" id="customRadio1" name="gender"
                                                        class="custom-control-input" value=1 <?php if ($aUser->gender == 1) {
                                                            echo 'checked';
                                                        } ?> />
                                                    <label class="custom-control-label" for="customRadio1">Male</label>
                                                </div>
                                                <div class="custom-control custom-radio mt-0">
                                                    <input type="radio" id="customRadio2" name="gender"
                                                        class="custom-control-input" value=0 <?php if ($aUser->gender == 0) {
                                                            echo 'checked';
                                                        } ?> />
                                                    <label class="custom-control-label" for="customRadio2">Female</label>
                                                </div>
                                            </div>
                                            <h5><small class="text-danger" id="gender_err"></small></h5>
                                            @error('gender')
                                                <span class="error" style="color:red;">{{ $message }}</span>
                                            @enderror
                                        </div>

                                        <div class="col-12 text-center mt-1">
                                            <button type="submit" class="btn btn-primary mr-1" onClick="return edit_validation()">Update</button>
                                            <a href="{{ route('users.index') }}" type="reset"
                                                class="btn btn-outline-secondary">Cancel</a>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- Basic Floating Label Form section end -->
        </div>

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="row w-100">
                                <div class="col-sm-12">
                                    <h2 class="content-header-title float-left mb-0"><i class="fa fa-pencil-square-o"
                                            aria-hidden="true"></i> Edit User Access
                                    </h2>
                                </div>

                            </div>
                        </div>
                        <form action="{{ url('/users/module_access') }}" method="POST">
                            {{ csrf_field() }}
                            <input type="hidden" name="form_type" value="access">
                            <input type="hidden" name="user_id" value="{{ $aUser->id }}">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Module name</th>
                                            <th class="text-center"><i class="fa fa-ban" aria-hidden="true"></i>
                                                None
                                            </th>
                                            <th class="text-center"><i class="fa fa-eye" aria-hidden="true"></i>
                                                Read
                                            </th>
                                            <th class="text-center"><i class="fa fa-pencil-square-o"
                                                    aria-hidden="true"></i> Write</th>
                                        </tr>
                                    </thead>
                                    <tbody class="text-center">
                                        @foreach ($aModules as $val)
                                            <tr>
                                                <td class="text-left">{{ $val->module_name }}</td>
                                                <td>

                                                    <div class="custom-control custom-switch custom-switch-success"
                                                        style="margin-bottom:17px;">
                                                        <label class="form-check-label">
                                                            <input type="radio" @php
                                                                if (isset($aAccess[$val['id']]) && $aAccess[$val['id']] == 0) {
                                                                    echo 'checked';
                                                                }else{
                                                                    echo 'checked';
                                                                }
                                                            @endphp
                                                                class="form-check-input"
                                                                name="access[{{ $val->id }}]" value="0"><i
                                                                class="input-helper"></i>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="custom-control custom-switch custom-switch-success"
                                                        style="margin-bottom:17px;">
                                                        <label class="form-check-label">
                                                            <input type="radio" @php
                                                                if (isset($aAccess[$val['id']]) && $aAccess[$val['id']] == 1) {
                                                                    echo 'checked';
                                                                }
                                                            @endphp
                                                                class="form-check-input"
                                                                name="access[{{ $val->id }}]" value="1"><i
                                                                class="input-helper"></i>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="custom-control custom-switch custom-switch-success"
                                                        style="margin-bottom:17px;">
                                                        <label class="form-check-label">
                                                            <input type="radio" @php
                                                                if (isset($aAccess[$val['id']]) && $aAccess[$val['id']] == 2) {
                                                                    echo 'checked';
                                                                }
                                                            @endphp
                                                                class="form-check-input"
                                                                name="access[{{ $val->id }}]" value="2"><i
                                                                class="input-helper"></i>
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>
                                <div class="row w-100 mb-2 mt-2">

                                    <div class="col-sm-12 text-center">
                                        <button type="submit" class="btn btn-primary mr-1">Save</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-6">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="row w-100">
                                <div class="col-sm-12">
                                    <h2 class="content-header-title float-left mb-0">User Pakage
                                    </h2>
                                </div>

                            </div>
                        </div>

                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr No.</th>
                                        <th class="text-left">Pakages</th>
                                        <th class="text-center">Action</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                    @if ($Pakage_name)
                                        @php $i = 1; @endphp
                                        @foreach ($Pakage_name as $val)
                                            <tr>
                                                <td class="text-center">{{ $i++ }}</td>
                                                <td class="text-left">
                                                    {{ $val->Pakage_name }}
                                                </td>
                                                <td>
                                                    <input id="user_id" type="hidden" name="user_id"
                                                        value="{{ $aUser->id }}">
                                                   
                                                    <button type="submit" class="btn mr-1 col-sm-6" style="color: red; font-size:25px;"><i class="fa fa-trash"
                                                            aria-hidden="true" onclick="change_status({{ $val->Pakage_id }});"></i></button>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @else
                                        <tr>
                                            <td colspan="4" style="color: red;">No Record Found.</td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-6">
                    <div class="card">
                        <form action="{{ url('/users/Pakage') }}" method="POST">
                            {{ csrf_field() }}
                            <input type="hidden" name="form_type" value="Pakages">
                            <input type="hidden" name="user_id" value="{{ $aUser->id }}">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered">
                                    <thead>
                                    </thead>
                                    <tbody class="text-center">
                                        <tr>
                                            <td class="text-left">Pakages</td>
                                            <td>
                                                <div>
                                                    <div class="form-group">
                                                        <label class="form-label" for="Pakage"></label>
                                                        <select name="Pakage" class="form-control" id="Pakage">
                                                            <option value="">Select Pakage</option>
                                                            @foreach ($aPakages as $val)
                                                                <option value="{{ $val->id }}">
                                                                    {{ $val->Pakage_name }}</option>
                                                            @endforeach
                                                        </select>
                                                        @error('Pakage')
                                                            <span class="error">{{ $message }}</span>
                                                        @enderror
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="row w-100 mb-2 mt-2">
                                    <div class="col-sm-12 text-center">
                                        <button type="submit" class="btn btn-primary mr-1" onClick="return validation()">Save</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        <?php $live_url = config('custom.base_url'); ?>
    </section>
@endsection


<script>
    function change_status(Pakage_id) {
        if(confirm('Are you sure you want to delete this record?')){
            var user_id = $('#user_id').val();
        $.ajax({
            //url: "{{ url('/users/remove_Pakages') }} ",
            url: "<?php echo $live_url; ?>users/remove_Pakages",
            type: 'post',
            data: {
                _token: "{{ csrf_token() }}",
                Pakage_id: Pakage_id,
                user_id: user_id 
            },
            success: function (result) {
                location.reload();
            }
        });
        }
       
    }
    
</script>

<script type="text/javascript">
	function validation() {

      if ($('#Pakage').val() == ""){
        alert('Please Select Pakage');
        $('#Pakage').focus();
        return false;
      }
    }
	
    function edit_validation() {

        if ($('#firstname').val() == ""){
            $('#firstname').parent().addClass('has-error');
            $('#firstname_err').html('Please Enter First Name.');
            $('#firstname').focus();
            $('#firstname').keyup(function () {
            $('#firstname').parent().removeClass('has-error');
            $('#firstname_err').html('');
            });
            return false;
        }

        if ($('#lastname').val() == ""){
            $('#lastname').parent().addClass('has-error');
            $('#lastname_err').html('Please Enter Last Name.');
            $('#lastname').focus();
            $('#lastname').keyup(function () {
            $('#lastname').parent().removeClass('has-error');
            $('#lastname_err').html('');
            });
            return false;
        } 
        if ($('#email').val() == ""){
            $('#email').parent().addClass('has-error');
            $('#email_err').html('Please Enter Email.');
            $('#email').focus();
            $('#email').keyup(function () {
            $('#email').parent().removeClass('has-error');
            $('#email_err').html('');
            });
            return false;
        }
        
        // if ($('#password').val() == ""){
        //     $('#password').parent().addClass('has-error');
        //     $('#password_err').html('Please Enter Password.');
        //     $('#password').focus();
        //     $('#password').keyup(function () {
        //     $('#password').parent().removeClass('has-error');
        //     $('#password_err').html('');
        //     });
        //     return false;
        // } 
        
        // if ($('#password_confirmation').val() == ""){
        //     $('#password_confirmation').parent().addClass('has-error');
        //     $('#password_confirmation_err').html('Please Enter Confirm Password.');
        //     $('#password_confirmation').focus();
        //     $('#password_confirmation').keyup(function () {
        //     $('#password_confirmation').parent().removeClass('has-error');
        //     $('#password_confirmation_err').html('');
        //     });
        //     return false;
        // }


        // if ($('#gender').val() == ""){
        //     $('#gender').parent().addClass('has-error');
        //     $('#gender_err').html('Please Enter Gender.');
        //     $('#gender').focus();
        //     $('#gender').keyup(function () {
        //     $('#gender').parent().removeClass('has-error');
        //     $('#gender_err').html('');
        //     });
        //     return false;
        // } 
    }
</script>

