@extends('layout.index')
@if(isset($aVehiclesRoute->id)) 
    @section('title','Edit Vehicle Route')
@else
    @section('title','Add Vehicle Route')
@endif
<!-- Dashboard Ecommerce start -->
@section('content')
<section>
   
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0"> @if(isset($aVehiclesRoute->id)) Edit Vehicle Route @else Add Vehicle Route @endif</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Vehicle Route</li>
                             <li class="breadcrumb-item active" aria-current="page"> @if(isset($aVehiclesRoute->id)) Edit Vehicle Route @else Add Vehicle Route @endif</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
     </div>

    @if ($message = Session::get('success'))
        <div class="demo-spacing-0 mb-1">
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <div class="alert-body">
                    {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $message }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                </div>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
    @endif
   
   <div class="content-body">
        <section id="multiple-column-form">
            <div class="row justify-content-center">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body">
                        
                            <form class="form" @if(!isset($aVehiclesRoute->id)) action="{{route('add_edit.vehicle_route')}}" @else action="{{route('add_edit.vehicle_route', $aVehiclesRoute->id )}}" @endif method="post">
                                {{csrf_field()}}
                                                                                     
                                    <div class="row">
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label class="form-label" for="route_id">Route  <span style="color:red;">*</span></label>                                 
                                                <select name="route_id" id="route_id" class="select2 form-control">
                                                    <option value="">Select Route</option>
                                                    @foreach($aRoutes as $val)
                                                        <option value="{{$val->id}}" {{(old('route_id', $aVehiclesRoute->route_id) == $val->id) ? 'selected' : ''}}>{{$val->route_name}}</option>
                                                    @endforeach            
                                                </select>
                                                @error('route_id')<span class="text-danger">{{ $message }}</span>@enderror
                                                <h5><small class="text-danger" id="route_id_err"></small></h5>
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label class="form-label" for="type">Type  <span style="color:red;">*</span></label>                                 
                                                <select name="type" id="type" class="form-control select2">
                                                    <option value="">Select Vehicle Type</option>
                                                    <?php
                                                     
                                                    foreach ($aTypes as $val) {
                                                        if(!empty($val->name)){
                                                     ?>
                                                        <option value="<?php echo $val->id;?>" {{(old('type', $aVehiclesRoute->type) == $val->id) ? 'selected' : ''}}><?php echo $val->name; ?></option>
                                                   <?php
                                                      }
                                                    }
                                                     ?>        
                                                </select>
                                                @error('type')<span class="text-danger">{{ $message }}</span>@enderror
                                                <h5><small class="text-danger" id="type_err"></small></h5>
                                            </div>
                                        </div>   

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label class="form-label" for="vehicle_number">Vehicle Number  <span style="color:red;">*</span></label>                                 
                                                <select name="vehicle_number" id="vehicle_number" id="vehicle_number" class="form-control select2">
                                                    <option value="">Select Vehicle</option>
                                                    @foreach($aVehicleNumber as $val)
                                                        <option value="{{$val->id}}" {{(old('vehicle_number', $aVehiclesRoute->vehicle_number) == $val->id) ? 'selected' : ''}}>{{$val->vehicle_number}}</option>
                                                    @endforeach            
                                                </select>
                                                @error('vehicle_number')<span class="text-danger">{{ $message }}</span>@enderror
                                                <h5><small class="text-danger" id="vehicle_number_err"></small></h5>
                                            </div>
                                        </div>

                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label class="form-label" for="day">Select Days <span style="color:red;">*</span></label>
                                                {{-- Check if you are adding a new route --}}
                                                @if(!isset($aVehiclesRoute->id))
                                                    <select name="day[]" id="day" class="form-control select2" multiple>
                                                        <option value=""></option>
                                                        @foreach($adays as $val)
                                                            <option value="{{$val->id}}">{{$val->day}}</option>
                                                        @endforeach
                                                    </select>
                                                @else
                                                    <select name="day" id="day" class="form-control select2">
                                                        <option value=""></option>
                                                        @foreach($adays as $val)
                                                            <option value="{{$val->id}}" {{ $val->id == old('day', $aVehiclesRoute->day) ? 'selected' : '' }}>{{$val->day}}</option>
                                                        @endforeach
                                                    </select>
                                                @endif
                                                @error('day')<span class="text-danger">{{ $message }}</span>@enderror
                                                <h5><small class="text-danger" id="day_err"></small></h5>
                                            </div>
                                        </div>
                                        
                                        
                                        <hr class="m-1">
                                        <div class="col-12 text-center mt-1">
                                            <input type="submit" class="btn btn-primary mr-1" value="Submit" onClick="return validation()">
                                            <a href="{{ route('vehicle_routes.list') }}" class="btn btn-outline-secondary">Cancel</a>
                                        </div>
                                    </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
   </div>
</section>
@endsection

<script type="text/javascript">
	function validation() {

        if ($('#route_id').val() == ""){
            $('#route_id').parent().addClass('has-error');
            $('#route_id_err').html('Please Select Route Name.');
            $('#route_id').focus();
            $('#route_id').change(function () {
            $('#route_id').parent().removeClass('has-error');
            $('#route_id_err').html('');
            });
            return false;
        }

        if ($('#type').val() == ""){
            $('#type').parent().addClass('has-error');
            $('#type_err').html('Please Select Vehicle Type.');
            $('#type').focus();
            $('#type').change(function () {
            $('#type').parent().removeClass('has-error');
            $('#type_err').html('');
            });
            return false;
        }

        if ($('#vehicle_number').val() == ""){
            $('#vehicle_number').parent().addClass('has-error');
            $('#vehicle_number_err').html('Please Select Vehicle Number.');
            $('#vehicle_number').focus();
            $('#vehicle_number').change(function () {
            $('#vehicle_number').parent().removeClass('has-error');
            $('#vehicle_number_err').html('');
            });
            return false;
        }
     
     
      
    }
</script>