@extends('layout.index')
@section('title', 'Checkpoint Arrival Report')

<style>
.dark-layout .table .border-bottom-gray {
   border-bottom: 1.1px solid #2e435c !important;
}

.table .border-bottom-gray {
    border-bottom: 1.1px solid #c1c1c1 !important;
}

</style>

<!-- Dashboard Ecommerce start -->
@section('content')
    @php
    use Carbon\Carbon;
    @endphp
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0"> Checkpoint Arrival Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
     
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/vehicle_tracking_reports/checkpoint_arrival') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-10">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <div class="form-group m-0">
                                                    <label class="form-label">Pakage</label>
                                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id" onChange="get_wards()">
                                                        <option value="">--- All Pakage ---</option>
                                                        @foreach($Pakages as $val)

                                                            @php $selected = '';   @endphp 
                                                            @if($Pakage_id == $val->id)
                                                            @php $selected ='selected'; @endphp
                                                            @endif
                                                        <option {{ $selected }} value="{{ $val->id }}">{{ $val->Pakage_name }}</option>
                                                        @endforeach 
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">Wards</label>
                                                <select class="select2 form-select" id="ward_id" name="ward_id" >
                                                    <option value="0">--All Wards--</option>
                                                    @foreach($wards as $val)

                                                        @php $selected = '';  @endphp 
                                                        @if($ward_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }} value="{{ $val->id }}">{{ $val->ward_name }}</option>
                                                    @endforeach 
                                                </select>
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">Vehicle</label>
                                                <select name="vehicle_id" id="vehicle_id" class="select2 form-select">
                                                    <option value="0">--All Vehicles--</option>
                                                    @foreach($vehicle as $val)

                                                        @php $selected = '';  @endphp 
                                                        @if($vehicle_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }}  value="{{$val->id}}">{{$val->vehicle_number }}</option>
                                                    @endforeach  
                                                </select>
                                            </div>
                                           
                                            <div class="col-sm-2">
                                                <label class="form-label">Vehicle Type</label>
                                                <select name="vehicle_type_id" id="vehicle_type_id" class="select2 form-select">
                                                    <option value="">--- All Vehicle Types ---</option>
                                                    @foreach($vehicle_type as $val)

                                                        @php $selected = '';  @endphp 
                                                        @if($vehicle_type_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }} value="{{$val->id}}">{{$val->type }}</option>
                                                    @endforeach  
                                                </select>
                                            </div>

                                            <div class="col-sm-2">
                                              <label class="form-label">Date</label>
                                              <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo date('d-m-Y',strtotime($date)); ?>" >
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">&nbsp;</label><br>
                                                    <button type="submit" class="btn btn-primary">Search</button>
                                                    @if ($search) 
                                                      <a title="Clear" href="{{ url('/vehicle_tracking_reports/clear_search/checkpoint_arrival') }}" type="button" class="btn  btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i></i> Clear </a>
                                                    @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-2">
                                      
                                        <label class="form-label">&nbsp;</label>
                                        
                                        <div class="d-flex align-items-center justify-content-end">
                                            @if(count($checkPointData))
                                                <a title="Clear" href="{{ url('/vehicle_tracking_reports/checkpoint_arrival/export_excel') }}"  style="margin :4px;"
                                                type="button" class="btn btn-outline-primary" style="float:right;">
                                                <i class='fa fa-download' arial-hidden="true"></i> Excel
                                            </a>
                                            @endif
                                                 <a href="{{ url('vehicle_tracking_reports') }}" 
                                                    class="btn btn-outline-primary " style="float:right;"><span>Back</span></a>
                                                    </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Route Name</th>
                                        <th class="text-left">Vehicle Number</th>
                                        <th class="text-left">Expected Time</th>
                                        <th class="text-left">Actual Time</th>
                                        <th class="text-left">Time Difference</th>
                                        <th class="text-left">Distance</th>
                                        <th class="text-left">Location</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">

                                <?php 
                                
                                    if(!empty($checkPointData)){
                                       if(count($checkPointData)){ 
                                  // echo '<pre>'; print_r($checkPointData); die;
                                        $i = 0;
                                        $i = $checkPointData->perPage() * ($checkPointData->currentPage() - 1);
                                        foreach($checkPointData as $aRec){ 
                                            
                                            $counter = 0;
                                            if(!empty($aRec['checkpoints'])){
                                            
                                                $check_point = $aRec['checkpoints'];   
                                                foreach($check_point  as $aValue){
                                                $rowSpan = count($check_point);
                                               // echo $rowSpan.'<br>';
                                                //if($rowSpan != 8){
                                                    $comm_color = 'border-bottom-gray';
                                                // }else{
                                                //     $comm_color = ''; 
                                                // }         
                                                      
                                ?> 
                                    <tr>
                                    <?php if($counter == 0){ 
                                        $i++;
                                        $counter ++;
                                        
								    ?>
                                        <td class="text-center border-bottom-gray" rowspan="<?php echo $rowSpan ?>">{{ $i }}</td>
                                        <td class="text-left border-bottom-gray" rowspan="<?php echo $rowSpan ?>">{{ $aValue->route_name }}</td>
                                        <td class="text-left border-bottom-gray" rowspan="<?php echo $rowSpan ?>"><?php if(!empty($aRec['vehicle_name'])){
                                         echo $aRec['vehicle_name']; }else{ echo '-'; } ?></td>
                                    <?php  } ?> 
                                       
                                        <td class="text-left <?php echo $comm_color; ?>"><?php if(!empty($aValue->expected_time)){
                                         echo $aValue->expected_time; }else{ echo '-'; } ?></td>
                                      
                                    <?php if(!empty($aValue->distance)){ ?>
                                        <td class="text-left <?php echo $comm_color; ?>"><?php if(!empty($aValue->actual_reach_time)){ echo $aValue->actual_reach_time; }else{ echo 'Not Arrived'; } ?></td>
                                        <td class="text-left <?php echo $comm_color; ?>"><?php if(!empty($aValue->time_difference)){ echo $aValue->time_difference; }else{ echo '-'; }  ?></td>
                                        <td class="text-left <?php echo $comm_color; ?>"><?php if(!empty($aValue->distance)){ echo number_format($aValue->distance, 2).' Meter'; } else{ echo '-'; } ?></td>
                                    <?php }else{?> 
                                        <td class="text-center <?php echo $comm_color; ?>" colspan="3">Not Arrived</td> 
                                    <?php } ?>
                                        <td class="text-left <?php echo $comm_color; ?>"><?php if(!empty($aValue->checkpoint_location)){ echo $aValue->checkpoint_location; }else{ echo '-'; } ?></td>
                                    </tr> 
                                    <?php
                                                }//die;
                                            }
                                        } 
                                    }else{ ?>

                                    <tr>
                                        <td colspan="8" style="text-align:center; color:red;">No Record Found.</td>
                                    </tr>
                                   <?php }} ?>
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    {{ $checkPointData->links() }}
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection

<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

<script>
	function get_wards(){
		var Pakage_id = $('#Pakage_id').val();
        $.ajax({
                type: "post",
                url: "{{ url('/route_master/wards') }} ",
                data:{"_token": "{{ csrf_token() }}","Pakage_id":Pakage_id},
                success: function(response){
                  // alert(response);
                   $('#ward_id').html(response); 
                },
                error: function(){						
                    alert("Error while request..");
                }
        });
		
    }
</script>
