@extends('layout.index')
@section('title', 'Route Deviation Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    @php
    use Carbon\Carbon;
    @endphp
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Route Deviation Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
     
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/vehicle_tracking_reports/route_deviation_report') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-10">
                                        <div class="row">
                                            <div class="col-sm-2">
                                                <div class="form-group m-0">
                                                    <label class="form-label">Pakage</label>
                                                    <select class="select2 form-select" id="Pakage_id" name="Pakage_id">
                                                        <option value="">--- All Pakage ---</option>
                                                        @foreach($Pakages as $val)

                                                            @php $selected = '';   @endphp 
                                                            @if($Pakage_id == $val->id)
                                                            @php $selected ='selected'; @endphp
                                                            @endif
                                                        <option {{ $selected }} value="{{ $val->id }}">{{ $val->Pakage_name }}</option>
                                                        @endforeach 
                                                    </select>
                                                </div>
                                            </div>

                                            <!-- <div class="col-sm-2">
                                                <label class="form-label">Vehicle Type</label>
                                                <select name="vehicle_type_id" id="vehicle_type_id" class="select2 form-select">
                                                    <option value="0">--- All Vehicle Types ---</option>
                                                    @foreach($vehicle_type as $val)

                                                        @php $selected = '';  @endphp 
                                                        @if($vehicle_type_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }} value="{{$val->id}}">{{$val->type }}</option>
                                                    @endforeach  
                                                </select>
                                            </div> -->

                                            <div class="col-sm-2">
                                              <label class="form-label">Date</label>
                                              <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo $date; ?>" >
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">&nbsp;</label><br>
                                                    <button type="submit" class="btn btn-primary">Search</button>
                                                    @if ($search) 
                                                      <a title="Clear" href="{{ url('/vehicle_tracking_reports/clear_search/route_deviation_report') }}" type="button" class="btn btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i> Clear </a>
                                                    @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-2" style="float:right;">
                                        <label class="form-label">&nbsp;</label>
                                        <div class="d-flex align-items-center justify-content-end">
                                        <?php if(count($records)){ ?>
                                            <a title="Excel" href="{{ url('/vehicle_tracking_reports/route_deviation_report/export_excel') }}"  style="margin: 4px;" type="button" class="btn  btn-outline-primary">
                                                <i class='fa fa-download' arial-hidden="true"></i> Excel
                                            </a>
                                        <?php } ?>        
                                            <a href="{{ url('vehicle_tracking_reports') }}" 
                                                    class="btn btn-outline-primary float-right"><span>Back</span></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Vehicle number</th>
                                        <th class="text-left">Vehicle Type</th>
                                        <th class="text-left">Route Name</th>
                                        <th class="text-left">Default Route Point</th>
                                        <th class="text-left">Covered Route Point</th>
                                        <th class="text-left">Route Coverage Percentage</th>
                                        <th class="text-left">Route Deviation Percentage</th>
                                        <th class="text-left">Default Collection Stoppages/Gate Points</th>
                                        <th class="text-left">Covered Stoppages/Gate Points</th>
                                        <th class="text-left">Covered Stoppages/Gate Percentage</th>
                                        <th class="text-left">Today's Weight</th>
                                        <th class="text-left">Fine</th>
                                        <th class="text-left">View Map</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                               
                                <?php 
                                    $default_points = 0;
                                    $cover_points = 0;
                                    $default_stop_points = 0;
                                    $actual_stop_points = 0;
                                    $today_net_weight = 0;
                                    $total_fine = 0;

                                    if(!empty($records)){
                                    //dd($records);    
                                        $i = 0;
                                        foreach($records  as $aValue){ 
                                        $i++;
                                        
                                        $default_points += isset($aValue->default_points) ? $aValue->default_points : 0;
                                        $cover_points += isset($aValue->cover_points) ? $aValue->cover_points : 0;
                                        $default_stop_points += isset($aValue->default_stop_points) ? $aValue->default_stop_points : 0;
                                        $actual_stop_points += isset($aValue->actual_stop_points) ? $aValue->actual_stop_points : 0;
                                        //$today_net_weight += $aValue->today_net_weight;
                                       //echo ceil($aValue->percentage); die;
                                        if(!empty($aValue->percentage)){
                                            $percentage = ceil($aValue->percentage);
                                            $percentage_deviation = (100 - $percentage);
                                        }else{
                                            $percentage           = '0';
                                            $percentage_deviation = '0';
                                        }
                                        if(!empty($aValue->stoppage_percentage)){
                                            $stoppage_percentage = ceil($aValue->stoppage_percentage);
                                        }else{
                                            $stoppage_percentage = '0'; 
                                        }
                                         
                                        

                                        $total_fine += $aValue->deviation_fine;
                                ?>
                                    <tr>
                                        <td class="text-center"><?php echo $i; ?></td>
                                        <td class="text-left"><?php echo $aValue->vehicle_number_name; ?></td>
                                        <td class="text-left"><?php echo $aValue->vehicle_type ?></td>
                                        <td class="text-left"><?php echo $aValue->route_name ?></td>
                                        <td class="text-left"><?php echo $aValue->default_points ?></td>
                                        <td class="text-left"><?php echo $aValue->cover_points ?></td>
                                        <td class="text-left"><?php echo $percentage.'%'; ?></td>
                                        <td class="text-left"><?php echo $percentage_deviation.'%'; ?></td>
                                        <td class="text-left"><?php echo $aValue->default_stop_points ?></td>
                                        <td class="text-left"><?php echo $aValue->actual_stop_points ?></td>
                                        <td class="text-left"><?php echo $stoppage_percentage; ?></td>
                                        <td class="text-left"><?php echo (!empty($aValue->today_net_weight)) ? ceil($aValue->today_net_weight) : 0; ?></td>
                                        <td class="text-left"><?php echo $aValue->deviation_fine; ?></td>
                                        <td class="text-center">
                                           <a class="btn btn-outline-primary" href="<?php echo url('route_deviation').'/'.$aValue->vehicle_number.'/0'; ?>" target="_blank"><i class="fa fa-map" aria-hidden="true"></i> Map</a>
                                        </td>
                                       
                                   </tr> 
                                   <?php } }else{ ?>

                                    <tr>
                                        <td colspan="20" class="text-center" style="color:red;">No Record Found.</td>
                                    </tr>
                                   
                                    <?php } ?>
                                   
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                   <!-- Pagination Code -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection

