@extends('layout.index')
@section('title', 'Present and Absent Vehicle Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0"> Present and Absent Vehicle Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
     
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="row w-100 mt-2 ">
                            <div class="col-sm-2 text-center">
                                <p>Status</p>
                                <h5>{{ $title }} </h5>
                            </div>
                            <div class="col-sm-2 text-center">
                                <p>Date</p>
                                <h5>{{  date('d-m-Y',strtotime($date)) }}</h5>
                            </div>
                            @if($Pakage_name)
                                <div class="col-sm-2 text-center">
                                    <p>Pakage Name</p>
                                    @foreach ($Pakage_name as $val)
                                        <h5>{{ $val->Pakage_name}}</h5>
                                    @endforeach
                                </div>
                            @endif
                            @if($vehicle_type_name)
                                <div class="col-sm-2 text-center">
                                    <p>Vehicle Type</p>
                                    @foreach ($vehicle_type_name as $val)
                                        <h5>{{ $val->type}}</h5>
                                    @endforeach
                                </div>
                            @endif
                            <div class="col-sm-4 text-center">
                                <div class="d-flex align-items-center justify-content-end">
                                    <a title="Clear" href="{{ url('/vehicle_tracking_reports/present_absent_vehicle/export_excel/'.$Pakage_id.'/'.$date.'/'.$entrsType.'/'.$vehicle_type) }}"  style="margin : 2px;"
                                        type="button" class="btn btn-outline-primary">
                                        <i class='fa fa-download' arial-hidden="true"></i> Excel
                                    </a>
                                    <?php if(!empty($vehicle_type)){ ?>   
                                      <a href="{{ url('vehicle_tracking_reports/vehicle_type_wise_present_absent') }}" class="btn btn-outline-primary "><span>Back</span></a>
                                    <?php }else{ ?>
                                        <a href="{{ url('vehicle_tracking_reports/date_wise_present_absent') }}" class="btn btn-outline-primary "><span>Back</span></a>
                                    <?php } ?>

                                </div>
                            </div>
                         </div>
                        <div class="table-responsive mt-1">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Vehicle Number</th>
                                        <!-- <th class="text-left">Route Name</th> -->
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                                    @if(!empty($records))
                                        @php 
                                            $i = 0;
                                        @endphp
                                        @foreach($records as $aValue)
                                            @php 
                                                $i++;
                                            @endphp
                                            <tr>
                                                <td class="text-center">{{ $i }}</td>
                                                <td class="text-left">{{ $aValue->vehicle_name }}</td>
                                                
                                            </tr>
                                        @endforeach
                                        @else
                                            <tr>
                                                <td colspan="3" class="text-center" style="color:red;">No Record Found.</td>
                                            </tr>
                                        @endif
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    <!-- pagination code -->
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection

