@extends('layout.index')
@section('title', 'Vehicle Stoppage Report')

<!-- Dashboard Ecommerce start -->
@section('content')
    @php
    use Carbon\Carbon;
    @endphp
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Vehicle Stoppage Report </h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
     
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <form class="dt_adv_search" action="{{ url('/vehicle_tracking_reports/vehicle_stoppage_report') }}" method="POST">
                            @csrf
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100">
                                <div class="row w-100">
                                    <div class="col-sm-12">
                                        <div class="row">
                                            
                                            <div class="col-sm-2">
                                                <label class="form-label">Vehicle</label>
                                                <select name="vehicle_id" id="vehicle_id" class="select2 form-select">
                                                    <option value="">--All Vehicles--</option>
                                                    @foreach($vehicle as $val)

                                                        @php $selected = '';  @endphp 
                                                        @if($vehicle_id == $val->id)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }}  value="{{$val->id}}">{{$val->vehicle_number }}</option>
                                                    @endforeach  
                                                </select>
                                                <h5><small class="text-danger" id="vehicle_id_err"></small></h5>
                                            </div>

                                            <div class="col-sm-2">
                                                <label class="form-label">Time Intervals</label>
                                                <select name="time_interval" id="time_interval" class="select2 form-select">
                                                    <option value="0">--All Times--</option>
                                                    @foreach($aIntervals as $key => $aInterval)

                                                        @php $selected = '';  @endphp 
                                                        @if($time_interval == $key)
                                                        @php $selected ='selected'; @endphp
                                                        @endif
                                                    <option {{ $selected }}  value="{{ $key }}">{{$aInterval['text'] }}</option>
                                                    @endforeach  
                                                </select>
                                            </div>
                                            
                                            <div class="col-sm-2">
                                              <label class="form-label">Date</label>
                                              <input id="date" name="date" class="form-control flatpickr-basic" type="text" value="<?php echo $date; ?>" >
                                            </div>

                                         
                                            <div class="col-sm-2">
                                                <label class="form-label">&nbsp;</label><br>
                                                    <button type="submit" class="btn btn-primary" onClick="return validation()">Search</button>
                                                    @if ($search) 
                                                      <a title="Clear" href="{{ url('/vehicle_tracking_reports/clear_search/vehicle_stoppage_report') }}" type="button" class="btn btn-outline-primary"><i data-feather="rotate-ccw" class="me-25"></i> Clear </a>
                                                    @endif
                                            </div>

                                            <div class="col-sm-4">
                                               
                                                <label class="form-label">&nbsp;</label><br>
                                                <div class="d-flex align-items-center justify-content-end">
                                                    @if(sizeof($records))
                                                        <a title="Clear" href="{{ url('/vehicle_tracking_reports/vehicle_stoppage_report/export_excel') }}"  style="margin :4px;"
                                                            type="button" class="btn btn-outline-primary">
                                                            <i class='fa fa-download' arial-hidden="true"></i> Excel
                                                        </a>
                                                    @endif
                                                    
                                                <a href="{{ url('vehicle_tracking_reports') }}" 
                                                        class="btn btn-outline-primary" style="float: right;"><span>Back</span></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr.No</th>
                                        <th class="text-left">Date</th>
                                        <th class="text-left">Vehicle Number</th>
                                       <!--  <th class="text-left">Location</th> -->
                                        <th class="text-left">Start Time</th>
                                        <th class="text-left">Stop Time</th>
                                        <th class="text-left">Stoppage Period</th>
                                    </tr>
                                </thead>
                                <tbody class="text-left">
                               
                                <?php 
                                //echo '<pre>'; print_r($records); die;
                                   if(!empty($records)){
                                       $i = 0;
                                       
                                        //$i = $vehicleWeightData->perPage() *($vehicleWeightData->currentPage() - 1);
                                        foreach($records as $aValue){ 
                                           $i++;
                                          
                                ?>
                                    <tr>
                                        <td class="text-center"><?php echo $i; ?></td>
                                        <td class="text-left"><?php echo $aValue->record_date; ?></td>
                                 
                                        <td class="text-left"><?php echo $aValue->vehicle_name->vehicle_number; ?></td>
                                       <!--  <td class="text-left"><?php //if(!empty($aValue->address)){ echo $aValue->address; }else{ echo '-'; } ?></td> -->
                                        <td class="text-left"><?php echo $aValue->record_time; ?></td> 
                                        <td class="text-left"><?php echo date('H:i:s',$aValue->start_time); ?></td>
                                        <td class="text-left"><?php echo gmdate('H:i:s',$aValue->stopped_period); ?></td>
                                 
					                </tr>
                                    <?php } }else{ ?>

                                    <tr>
                                        <td colspan="7" class="text-center" style="color:red;">No Record Found.</td>
                                    </tr>
                                   
                                    <?php } ?>
                                     
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
    </section>
@endsection

<script type="text/javascript">
	function validation() {
 
      if ($('#vehicle_id').val() == ""){
         $('#vehicle_id').parent().addClass('has-error');
         $('#vehicle_id_err').html('Please Select Vehicle.');
         $('#vehicle_id').focus();
         $('#vehicle_id').change(function () {
         $('#vehicle_id').parent().removeClass('has-error');
         $('#vehicle_id_err').html('');
        });
        return false;
      }
    }  
</script>
